------------------------------------------------------------------------
r33130 | wmeier | 2010-06-07 08:38:55 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtpt.c

Move proto_reg_handoff...(...) to the end of the file.

------------------------------------------------------------------------
r33132 | wmeier | 2010-06-07 09:00:24 -0700 (Mon, 07 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-quake.c

Move proto_reg_handoff...(...) to the end of the file;
Remove a few unneeded if statements and a few uneeded initializers;

------------------------------------------------------------------------
r33136 | wmeier | 2010-06-07 09:32:21 -0700 (Mon, 07 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-quake.c

Use find_or_create_conversation() rather than only conversation_new().
Fixes bug #2907: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2907

------------------------------------------------------------------------
r33138 | gerald | 2010-06-07 09:43:09 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/docbook/release-notes.xml

1.3.6 -> 1.5.0

------------------------------------------------------------------------
r33140 | etxrab | 2010-06-07 11:25:37 -0700 (Mon, 07 Jun 2010) | 1 line
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Update the code for NEW_FILTER_COMBO_BOX.
------------------------------------------------------------------------
r33141 | etxrab | 2010-06-07 11:28:17 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Use NEW_FILTER_COMBO_BOX.
If there is no major problems the code can be cleaned up in a few days time.
------------------------------------------------------------------------
r33144 | guy | 2010-06-07 11:49:37 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Declare dfilter_list only if we're going to use it.

------------------------------------------------------------------------
r33148 | guy | 2010-06-07 12:17:12 -0700 (Mon, 07 Jun 2010) | 5 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Don't define dfilter_entry_match() if we're using a combo box, as it's
not used.

Clean up indentation.

------------------------------------------------------------------------
r33154 | guy | 2010-06-07 16:33:16 -0700 (Mon, 07 Jun 2010) | 6 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Rename the NEW_FILTER_COMBO_BOX routine dfilter_entry_match_new() to
dfilter_entry_match(), as the old dfilter_entry_match() isn't defined or
used if NEW_FILTER_COMBO_BOX is defined.

Clean up indentation a bit.

------------------------------------------------------------------------
r33157 | etxrab | 2010-06-08 01:36:22 -0700 (Tue, 08 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter_3gpp.c
   M /trunk/epan/dissectors/packet-gtpv2.c

From Tamás Regõs:
Change dissection of  User Location Info (ULI) to show the spare bits
in the protocol tree and don't show ECI as a bitfield.
------------------------------------------------------------------------
r33158 | etxrab | 2010-06-08 01:55:07 -0700 (Tue, 08 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Fix packet-gtpv2.c:945:1: error: "/*" within comment
------------------------------------------------------------------------
r33159 | etxrab | 2010-06-08 03:37:03 -0700 (Tue, 08 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Remove C++ style comment.
------------------------------------------------------------------------
r33160 | morriss | 2010-06-08 07:40:31 -0700 (Tue, 08 Jun 2010) | 1 line
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

dfilter_entry_match() (for NEW_FILTER_COMBO_BOX): unset value each time through the loop to avoid duplicate initialization warnings from glib.
------------------------------------------------------------------------
r33161 | morriss | 2010-06-08 09:01:50 -0700 (Tue, 08 Jun 2010) | 1 line
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

NEW_FILTER_COMBO_BOX: dfilter_combo_add_empty() doesn't appear to be needed: the entry field is empty even after populating thelist of recent filters.
------------------------------------------------------------------------
r33163 | morriss | 2010-06-08 11:42:20 -0700 (Tue, 08 Jun 2010) | 1 line
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

NEW_FILTER_COMBO_BOX: Make the Expression... button work again.
------------------------------------------------------------------------
r33168 | stig | 2010-06-08 14:36:31 -0700 (Tue, 08 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/filter_autocomplete.c

Avoid a crash when deleting the first character in the filter.

------------------------------------------------------------------------
r33174 | stig | 2010-06-09 01:52:56 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c

Corrected a typo in "display seconds with hours and minutes".

------------------------------------------------------------------------
r33175 | gal | 2010-06-09 02:27:28 -0700 (Wed, 09 Jun 2010) | 4 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

New option (-R) to asn2wrs to register the PDUs defined in the conformance file as BER syntaxes  (register_ber_syntax_dissector()).



------------------------------------------------------------------------
r33176 | wmeier | 2010-06-09 06:30:44 -0700 (Wed, 09 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

Do some constifying (based upon gcc -Wwrite-strings warnings);
Use #if 0/#endif instead of /* ... */ to comment out code..

------------------------------------------------------------------------
r33177 | gal | 2010-06-09 07:17:51 -0700 (Wed, 09 Jun 2010) | 8 lines
Changed paths:
   M /trunk/asn1/dap/dap.cnf
   M /trunk/asn1/dap/packet-dap-template.c
   A /trunk/asn1/idmp
   A /trunk/asn1/idmp/CommonProtocolSpecification.asn
   A /trunk/asn1/idmp/IDMProtocolSpecification.asn
   A /trunk/asn1/idmp/Makefile.am
   A /trunk/asn1/idmp/Makefile.common
   A /trunk/asn1/idmp/Makefile.nmake
   A /trunk/asn1/idmp/idmp.cnf
   A /trunk/asn1/idmp/packet-idmp-template.c
   A /trunk/asn1/idmp/packet-idmp-template.h
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-dap.c
   A /trunk/epan/dissectors/packet-idmp.c
   A /trunk/epan/dissectors/packet-idmp.h

Support for X.519 (section 9) Internet Directly Mapped Protocol (IDMP).

IDMP provides a mapping of request-response service elements directly onto the Internet TCP/IP protocol, bypassing the ACSE, Presentation, Session and Transport layers of the OSI model. It also supports the use of TLS services.

The DAP dissector has been updated to use the IDMP protocol.



------------------------------------------------------------------------
r33178 | stig | 2010-06-09 07:27:09 -0700 (Wed, 09 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/acse/acse.cnf
   M /trunk/epan/dissectors/packet-acse.c

Print correct RLRE reason in Info column.
Dump RLRQ/RLRE text in Info column even when having no reason code.

------------------------------------------------------------------------
r33179 | stig | 2010-06-09 07:33:54 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Added packet-idmp.c

------------------------------------------------------------------------
r33181 | stig | 2010-06-09 07:40:35 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/configure.in

Build Makefile in asn1/idmp.

------------------------------------------------------------------------
r33182 | gal | 2010-06-09 07:45:38 -0700 (Wed, 09 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/ros/packet-ros-template.h
   M /trunk/asn1/ros/ros.cnf
   M /trunk/epan/dissectors/packet-idmp.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-ros.h

Updates to the ROS dissector to support IDMP and fix to IDMP for implicit declaration of return value of call_ros_oid_callback().


------------------------------------------------------------------------
r33183 | stig | 2010-06-09 07:47:39 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/idmp

Added default svn:ignore targets.

------------------------------------------------------------------------
r33184 | stig | 2010-06-09 07:59:02 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/idmp/Makefile.common

Build dependency x509ce.

------------------------------------------------------------------------
r33185 | stig | 2010-06-09 08:05:29 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Added packet-idmp.h.

------------------------------------------------------------------------
r33186 | gal | 2010-06-09 08:20:48 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/epan/dissectors/packet-idmp.c

Update for missing const for object identifier string and marking tree as unused.

------------------------------------------------------------------------
r33187 | gal | 2010-06-09 08:35:08 -0700 (Wed, 09 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/epan/dissectors/packet-idmp.c

Removal of (hopefully!) the final warning.


------------------------------------------------------------------------
r33188 | gal | 2010-06-09 08:51:02 -0700 (Wed, 09 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/epan/dissectors/packet-idmp.c

Removal of unused global variable.


------------------------------------------------------------------------
r33189 | stig | 2010-06-09 09:02:34 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/epan/dissectors/packet-idmp.c

Initialize dst_ref.

------------------------------------------------------------------------
r33191 | wmeier | 2010-06-09 10:16:33 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-quake.c
   M /trunk/epan/dissectors/packet-quake2.c
   M /trunk/epan/dissectors/packet-quake3.c

Revise code slightly; mostly: remove some unnecessary if tests ....

------------------------------------------------------------------------
r33192 | wmeier | 2010-06-09 10:24:58 -0700 (Wed, 09 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-quakeworld.c

Do some constifying (based upon gcc -Wwrite-strings warnings);
Various minor ckeanup: remove some unecessary if statements & other
Move proto_reg_handoff... to the end of the file.

------------------------------------------------------------------------
r33193 | morriss | 2010-06-09 10:36:49 -0700 (Wed, 09 Jun 2010) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am

Add idmp.
------------------------------------------------------------------------
r33194 | wmeier | 2010-06-09 10:40:03 -0700 (Wed, 09 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Do some constifying (based upon gcc -Wwrite-strings warnings);
Replace "4 space  tabs" by 4 spaces.

------------------------------------------------------------------------
r33195 | wmeier | 2010-06-09 10:56:37 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dis-fields.c
   M /trunk/epan/dissectors/packet-dis-fields.h

Fix a gcc -Wstrict-prototypes warning

------------------------------------------------------------------------
r33198 | wmeier | 2010-06-09 11:12:17 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-mikey.c
   M /trunk/epan/dissectors/packet-nasdaq-itch.c
   M /trunk/epan/dissectors/packet-ncp-sss.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-ntp.h
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-rmi.c

Do some constifying [or other] based upon gcc -Wwrite-strings warnings.

------------------------------------------------------------------------
r33199 | wmeier | 2010-06-09 11:32:35 -0700 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Do some constifying (based upon gcc -Wwrite-strings warnings)

------------------------------------------------------------------------
r33200 | etxrab | 2010-06-09 13:24:23 -0700 (Wed, 09 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Fix a copy paste error.
------------------------------------------------------------------------
r33201 | etxrab | 2010-06-09 13:25:50 -0700 (Wed, 09 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Add dissector_table_foreach.
------------------------------------------------------------------------
r33203 | wmeier | 2010-06-09 18:33:02 -0700 (Wed, 09 Jun 2010) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Jason Burns:  DHCP Dissector - Support for DHCP Option 150 TFTP Server Address

"According to this document DHCP Option 150 is an array of IPv4 TFTP Server
Addresses

http://cisco.com/en/US/products/sw/voicesw/ps556/products_tech_note09186a00800942f4.shtml#tftp_option

I fixed the capitalization of this option in the bootp dissector and changed
the type to match the actual use of the option. (ipv4_list)"

From me: Add a pointer to a draft RFC about the DHCP "TFTP Server Address" option.



------------------------------------------------------------------------
r33204 | stig | 2010-06-10 03:13:34 -0700 (Thu, 10 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/proto_help.c

From Jim Young via bug 4862:
GLIB 2.14 necessary to compile Wireshark with Protocol help.

------------------------------------------------------------------------
r33205 | stig | 2010-06-10 03:31:46 -0700 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/configure.in

Check if /usr/local exists before adding to CFLAGS/CPPFLAGS and LDFLAGS.

------------------------------------------------------------------------
r33206 | stig | 2010-06-10 06:06:08 -0700 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/rtse/rtse.cnf
   M /trunk/epan/dissectors/packet-rtse.c

Display RefuseReason in Info column.

------------------------------------------------------------------------
r33207 | martinm | 2010-06-10 08:28:41 -0700 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.c

Add the direction to so expert info texts.

------------------------------------------------------------------------
r33208 | stig | 2010-06-11 02:14:25 -0700 (Fri, 11 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ses.h

Small cleanup.

------------------------------------------------------------------------
r33209 | etxrab | 2010-06-11 04:49:01 -0700 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Fix: Malformed packet if port is missing from path.
------------------------------------------------------------------------
r33210 | jmayer | 2010-06-11 09:11:42 -0700 (Fri, 11 Jun 2010) | 17 lines
Changed paths:
   M /trunk/README.DECT
   M /trunk/epan/dissectors/packet-dect.c

Andreas Schuler <andreas (A) schulerdev.de>
Updates to the DECT dissector:
- using proto_tree_add_none_format()/proto_tree_add_item() instead of
  proto_tree_add_uint_format() where it makes sense
- fixed display of full slot data
- added some references to documentation
- cleaned up packet length checking
- put descrambled bfield-data in a tree
- cleaned up some afield items
- use custom columns instead adding all infos to COL_INFO
- add some more infos to the columns

Me:
- Replace proto_tree_add_none_format(..., strvar) by
  proto_tree_add_none_format(..., "%s", strvar).
- Fix an unused variable warning.

------------------------------------------------------------------------
r33211 | gerald | 2010-06-12 17:39:06 -0700 (Sat, 12 Jun 2010) | 2 lines
Changed paths:
   M /trunk/docbook/ws.css

Remove the header letter spacing. It make the Lua reference hard to read.

------------------------------------------------------------------------
r33212 | wmeier | 2010-06-13 06:58:02 -0700 (Sun, 13 Jun 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c

Fix Bug #4868; "Wireshark crash selecting Inter-Asterisk exchange v2 packet data"
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4868

A field length was being set incorrectly (too large) thus causing
packet_hex_apply_reverse_tag() to run off the end of a text_view buffer
(thus causing a crash) when attempting to highlight the field bytes
in the hex-view pane.

ToDo: Add some sanity checking in packet_hex_apply_reverse_tag().

------------------------------------------------------------------------
r33213 | wmeier | 2010-06-13 07:31:11 -0700 (Sun, 13 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

Rename some variables; At least one ('end') seemed to confuse the Windows debugger;
Also: Udate some coments.

------------------------------------------------------------------------
r33214 | martinm | 2010-06-13 07:55:11 -0700 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/filter_utils.h

Add Copy (to clipboard) to expert item popup menu.

------------------------------------------------------------------------
r33215 | gerald | 2010-06-13 08:03:31 -0700 (Sun, 13 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-06-13]
------------------------------------------------------------------------
r33219 | wmeier | 2010-06-13 13:27:21 -0700 (Sun, 13 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/prefs_nameres.c

Add info to the "Enable OID resolution" tooltip that if 'True' then the 'SMI paths' and the 'SMI modules' preferences will be shown;
Fix a comment. 

------------------------------------------------------------------------
r33220 | gerald | 2010-06-13 13:30:43 -0700 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-gopher.c

Add a Gopher (RFC 1436) dissector.

------------------------------------------------------------------------
r33221 | jmayer | 2010-06-13 15:58:21 -0700 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Add packet-gopher.c from rev 33220.

------------------------------------------------------------------------
r33222 | gerald | 2010-06-13 16:02:18 -0700 (Sun, 13 Jun 2010) | 3 lines
Changed paths:
   M /trunk/packaging/macosx/osx-dmg.sh

The .dmg packages can come in 32-bit and 64-bit flavors. Name them
accordingly.

------------------------------------------------------------------------
r33223 | wmeier | 2010-06-14 05:37:43 -0700 (Mon, 14 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/flow_graph.c

Fix Bug #4871: Wrong Ack value in TCP flow graph when using relative sequence numbers.
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4871  

------------------------------------------------------------------------
r33224 | wmeier | 2010-06-14 07:34:32 -0700 (Mon, 14 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:  Fix: RSN capabilities field in IEEE 802.11 RSN IE is parsed in incorrect byte order
Note: this bug was introduced in SVN #32342 [3/31/10] and thus was only present
in Development Wireshark versions.

From me: Display 'mobility_domain_mdid' as little-endian (to be verified)

------------------------------------------------------------------------
r33225 | tuexen | 2010-06-14 14:49:23 -0700 (Mon, 14 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/sctpppids.h

Update SCTP PPIDs.

------------------------------------------------------------------------
r33226 | etxrab | 2010-06-15 06:36:11 -0700 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

From Holger Freyther:
Cosmetic patch to fix Optional/Conditional mismatch.
------------------------------------------------------------------------
r33227 | stig | 2010-06-15 07:03:49 -0700 (Tue, 15 Jun 2010) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h
   M /trunk/gtk/CMakeLists.txt
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/export_object.c
   M /trunk/gtk/export_object.h
   A /trunk/gtk/export_object_smb.c
   M /trunk/gtk/menus.c

From David Perez & Jose Pico from Taddong S.L. via bug 4451:
This functionality keeps track of all SMB objects contained in a capture,
and is able to export to a file a full or partial captured file that has
been transfered through the SMB protocol. In a partial capture, the holes
produced by the non-captured information are filled out with zeros.
It includes the needed modifications of the SMB dissector in the way it keeps
track of the opened SMB files and also to feed the eo_smb tap listener.

------------------------------------------------------------------------
r33228 | stig | 2010-06-15 08:32:19 -0700 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Remove #include <inttypes.h>.

------------------------------------------------------------------------
r33229 | stig | 2010-06-15 11:48:08 -0700 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Changed Jose Pico's email, added David Perez as co-author.

------------------------------------------------------------------------
r33230 | stig | 2010-06-15 14:18:31 -0700 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/capture_if_details_dlg_win32.h
   M /trunk/gtk/cfilter_combo_utils.h
   M /trunk/gtk/color_utils.h
   M /trunk/gtk/conversations_table.h
   M /trunk/gtk/expert_comp_dlg.h
   M /trunk/gtk/expert_comp_table.h
   M /trunk/gtk/expert_dlg.h
   M /trunk/gtk/file_dlg_win32.h
   M /trunk/gtk/filter_utils.h
   M /trunk/gtk/firewall_dlg.h
   M /trunk/gtk/follow_stream.h
   M /trunk/gtk/graph_analysis.h
   M /trunk/gtk/gsm_map_stat.h
   M /trunk/gtk/gui_stat_menu.h
   M /trunk/gtk/gui_stat_util.h
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/hostlist_table.h
   M /trunk/gtk/iax2_analysis.h
   M /trunk/gtk/macros_dlg.h
   M /trunk/gtk/main_packet_list.h
   M /trunk/gtk/main_proto_draw.h
   M /trunk/gtk/manual_addr_resolv.h
   M /trunk/gtk/mcast_stream.h
   M /trunk/gtk/mcast_stream_dlg.h
   M /trunk/gtk/menus.h
   M /trunk/gtk/mtp3_stat.h
   M /trunk/gtk/packet_history.h
   M /trunk/gtk/plugins_dlg.h
   M /trunk/gtk/rtp_analysis.h
   M /trunk/gtk/rtp_player.h
   M /trunk/gtk/rtp_stream.h
   M /trunk/gtk/rtp_stream_dlg.h
   M /trunk/gtk/sctp_stat.h
   M /trunk/gtk/service_response_time_table.h
   M /trunk/gtk/supported_protos_dlg.h
   M /trunk/gtk/tap_dfilter_dlg.h
   M /trunk/gtk/u3.h
   M /trunk/gtk/uat_gui.h
   M /trunk/gtk/voip_calls.h
   M /trunk/gtk/voip_calls_dlg.h

Cleanup header file define guards.

------------------------------------------------------------------------
r33231 | guy | 2010-06-15 18:30:29 -0700 (Tue, 15 Jun 2010) | 8 lines
Changed paths:
   M /trunk/epan/filesystem.c
   M /trunk/gtk/export_object.c

Handle WTAP_ERR_SHORT_WRITE in file_write_error_message().

In eo_save_entry(), don't assume you can write the entire object in a
single write call - if the object is big enough (which would require a
64-bit address space), and you're not lucky enough to be running on
UN*X (which means LP64, so size_t and ssize_t are big enough for the
entire object), you can't.

------------------------------------------------------------------------
r33232 | guy | 2010-06-15 20:09:16 -0700 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/export_object.c

Cast bytes_left down to an int once we've established it will fit.

------------------------------------------------------------------------
r33233 | stig | 2010-06-15 22:54:11 -0700 (Tue, 15 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcels.h
   M /trunk/epan/dissectors/packet-fip.c

From Joe Eykholt via bug 4882:
Adds decodes for the FCoE Initialization Protocol features being added for
VN_port to VN_port (VN2VN) point-to-multipoint support. 

------------------------------------------------------------------------
r33234 | guy | 2010-06-16 00:47:18 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Export smb_fid_types.

------------------------------------------------------------------------
r33235 | stig | 2010-06-16 08:26:47 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/export_object_smb.c

Use gsize for file sizes.

------------------------------------------------------------------------
r33236 | stig | 2010-06-16 08:36:02 -0700 (Wed, 16 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Hitoshi Irino via bug 4883:
Support NetFlow exported from Cisco ASA5500 series.

From me:
Fixed some hf description entries.

------------------------------------------------------------------------
r33237 | stig | 2010-06-16 10:45:25 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.h

Use gsize for file offset.

------------------------------------------------------------------------
r33238 | stig | 2010-06-16 10:47:42 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Remove C++ comment.

------------------------------------------------------------------------
r33239 | guy | 2010-06-16 11:28:28 -0700 (Wed, 16 Jun 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.h
   M /trunk/gtk/export_object_smb.c

Go back to 64-bit sizes, but, before passing those sizes to
g_try_malloc() or g_try_realloc(), check whether they fit in a gsize
and:

	if not, just pretend the allocation failed;

	if so, cast them to gsize to squelch compiler warnings.

------------------------------------------------------------------------
r33240 | guy | 2010-06-16 13:00:22 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Handle 64-bit file offsets in ReadAndX and WriteAndX.

------------------------------------------------------------------------
r33241 | martinm | 2010-06-16 22:03:08 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/export_object_smb.c

Don't refer to file-static variables as extern (my gcc didn't like it).

------------------------------------------------------------------------
r33242 | martinm | 2010-06-16 23:36:23 -0700 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Work out better whether RLC segment is a complete upper-layer PDU or not.

------------------------------------------------------------------------
r33243 | stig | 2010-06-17 09:38:05 -0700 (Thu, 17 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/wslua/template-init.lua

Enable Lua by default.

------------------------------------------------------------------------
r33244 | wmeier | 2010-06-17 10:19:45 -0700 (Thu, 17 Jun 2010) | 3 lines
Changed paths:
   M /trunk/fix/Values.xsl

Include $Id$ when generating packet-fix.h;
Commit re-generated packet-fix.h.

------------------------------------------------------------------------
r33245 | wmeier | 2010-06-17 10:23:44 -0700 (Thu, 17 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fix.h

Commit re-generated packet-fix.h (which now has $Id$).
(Left out from the previous commit).

------------------------------------------------------------------------
r33246 | wmeier | 2010-06-17 10:51:52 -0700 (Thu, 17 Jun 2010) | 2 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Add GTK deprecated from GTK 2.20.

------------------------------------------------------------------------
r33247 | wmeier | 2010-06-17 11:12:46 -0700 (Thu, 17 Jun 2010) | 2 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Add deprecated from GLib 2.24

------------------------------------------------------------------------
r33248 | guy | 2010-06-17 14:41:03 -0700 (Thu, 17 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Expand some comments.

------------------------------------------------------------------------
r33249 | guy | 2010-06-17 20:25:33 -0700 (Thu, 17 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

OK, I checked the Microsoft spec; give some information on that.

------------------------------------------------------------------------
r33250 | etxrab | 2010-06-17 21:18:08 -0700 (Thu, 17 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/etypes.h

Add the Gigamon ethertype.
------------------------------------------------------------------------
r33251 | martinm | 2010-06-18 00:07:55 -0700 (Fri, 18 Jun 2010) | 5 lines
Changed paths:
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-pdcp-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.c

Add new strings/dissector function for signalling RRC messages that will add
lte_rrc root to the protocol tree. Makes filtering on call signalling easier.

TODO: same for other RRC entry points...

------------------------------------------------------------------------
r33252 | stig | 2010-06-18 08:25:41 -0700 (Fri, 18 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/wslua/template-init.lua

Fix the check for disable_lua.

------------------------------------------------------------------------
r33253 | etxrab | 2010-06-18 10:18:00 -0700 (Fri, 18 Jun 2010) | 5 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/tshark.c

From Jim Young:
The attached patch simply documents a long supported but hidden tshark -G
option.

Tshark's print_usage() has been augmented as well as the tshark man page.
------------------------------------------------------------------------
r33254 | wmeier | 2010-06-18 15:17:43 -0700 (Fri, 18 Jun 2010) | 3 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Add a few deprecated GObject fcns;
Fix some typos and capitalization.

------------------------------------------------------------------------
r33255 | stig | 2010-06-18 18:16:29 -0700 (Fri, 18 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-eth.h
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-ieee8023.c
   M /trunk/epan/dissectors/packet-isl.c

Use top level tree when using dissectors from "eth.trailer" heuristics.

------------------------------------------------------------------------
r33256 | stig | 2010-06-18 18:43:11 -0700 (Fri, 18 Jun 2010) | 13 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-gmhdr.c

From tieuthunhi via bug 4887:
Add support for Gigamon headers (timestamp, source port, length, etc)
that are inserted by Gigamon network equipments.

From me:
Various cleanup:
- Register to "eth.trailer" heuristics for trailer.
- Use standard dumping of timestamp.
- Rewrote gmhdr_plfm_str handling.
- Dump srcport details in a subtree.
- Removed packte-gmhdr.h.
- Ensure the while-loop will end.

------------------------------------------------------------------------
r33257 | etxrab | 2010-06-20 03:25:26 -0700 (Sun, 20 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter_3gpp.c

From KATAOKA Toshihiro:
3GPP Diameter S6a flags.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4893
Modified to use tfs_set_notset.
------------------------------------------------------------------------
r33258 | jake | 2010-06-20 05:21:45 -0700 (Sun, 20 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From KATAOKA Toshihiro:
The sequence number in 3GPP NAS EPS(TS24.301) cyphered PDU is outside of ciphered text.

------------------------------------------------------------------------
r33259 | jake | 2010-06-20 07:37:34 -0700 (Sun, 20 Jun 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_ipa.c

From Holger Freyther: 
The current implementation assumes that the IPA protocol header is three byte.
This is true for TCP but not for packets sent over UDP, which uses four bytes.

From me:
Improve heuristic and offset tracking.

------------------------------------------------------------------------
r33260 | gerald | 2010-06-20 08:03:42 -0700 (Sun, 20 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-06-20]
------------------------------------------------------------------------
r33264 | stig | 2010-06-20 09:17:10 -0700 (Sun, 20 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Revert back to the old Flags entry.
Add number of bits used for Flags in the description.

------------------------------------------------------------------------
r33265 | stig | 2010-06-20 09:22:51 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/ip_opts.h

Added an expert info for "4 NOP in a row" in IP and TCP.

------------------------------------------------------------------------
r33266 | stig | 2010-06-20 09:23:43 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/epan/prefs.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/menus.h
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h
   M /trunk/gtk/prefs_column.c

Added "Hide Column" functionality.

------------------------------------------------------------------------
r33267 | jake | 2010-06-20 09:27:03 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Fix for bug 4875:
Don't hint at a local User's Gude when there isn't one.
------------------------------------------------------------------------
r33268 | wmeier | 2010-06-20 09:57:50 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Add get_column_visible & set_column_visible

------------------------------------------------------------------------
r33269 | jake | 2010-06-20 11:23:35 -0700 (Sun, 20 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c

Fix for bug 4888:
Convert DSCP column to the proper custom column filter code.

------------------------------------------------------------------------
r33270 | jake | 2010-06-20 11:24:25 -0700 (Sun, 20 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Fix for bug 4888:
Restore setting DSCP column value, when relevant.

------------------------------------------------------------------------
r33271 | wmeier | 2010-06-20 14:18:48 -0700 (Sun, 20 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

More rework of the code:
 - Refactor to use a separate function for common code;
 - Prefs callback not required;
 - Use val_to_str(...);
 - Fix issues relating to incorrect bytes highlighted in the hex view;

------------------------------------------------------------------------
r33272 | guy | 2010-06-20 14:43:52 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Mark pinfo as unused.

------------------------------------------------------------------------
r33273 | guy | 2010-06-20 15:36:32 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Properly terminate gmhdr_ftype_timestamp[].

------------------------------------------------------------------------
r33274 | etxrab | 2010-06-20 20:01:41 -0700 (Sun, 20 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

The length of the dot11CurrentChannelNumber parameter is 1 octet.
Fixes bug https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4894
------------------------------------------------------------------------
r33275 | martinm | 2010-06-21 02:41:57 -0700 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Added volatile to 'offset' (needed by my version of gcc).

------------------------------------------------------------------------
r33276 | stig | 2010-06-21 04:28:52 -0700 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Corrected copyright header.

------------------------------------------------------------------------
r33277 | stig | 2010-06-21 04:29:54 -0700 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/ess/ess.cnf
   M /trunk/epan/dissectors/packet-ess.c

Corrected printed name for id-permissiveAttributes.

------------------------------------------------------------------------
r33278 | stig | 2010-06-21 04:30:27 -0700 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c

Removed leading empty line.

------------------------------------------------------------------------
r33279 | stig | 2010-06-21 06:57:03 -0700 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/prefs_column.c

Rename "Visible" to "Displayed" for hide columns functions.

------------------------------------------------------------------------
r33280 | wmeier | 2010-06-21 07:24:34 -0700 (Mon, 21 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Add an if-test to fix a fuzz-test crash;
See Bug #4897: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4897

------------------------------------------------------------------------
r33281 | stig | 2010-06-21 13:33:39 -0700 (Mon, 21 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

Added the displayed columns menu in the heading popup.

------------------------------------------------------------------------
r33282 | jake | 2010-06-22 00:52:06 -0700 (Tue, 22 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppi.c

Fix for bug 4852:
Don't short circuit dissection if tree==NULL when column values are to be set.

------------------------------------------------------------------------
r33283 | stig | 2010-06-22 01:49:12 -0700 (Tue, 22 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

Highlight correct number of bytes when highlighted hex dump ends at the end
of the first block.

------------------------------------------------------------------------
r33284 | stig | 2010-06-22 01:56:05 -0700 (Tue, 22 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

Include some column details in the "Displayed Columns" list.

------------------------------------------------------------------------
r33285 | stig | 2010-06-22 04:09:07 -0700 (Tue, 22 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/prefs_column.c

Always make new columns visible.

------------------------------------------------------------------------
r33286 | stig | 2010-06-22 04:54:45 -0700 (Tue, 22 Jun 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/proto.c

Update to reflect changes in defines: REP_* > ENC_*

------------------------------------------------------------------------
r33287 | etxrab | 2010-06-22 06:29:33 -0700 (Tue, 22 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

If the trailer is less than 4 bytes it's not a Gigamon hdr.
------------------------------------------------------------------------
r33288 | stig | 2010-06-22 06:40:28 -0700 (Tue, 22 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/menus.c

Check for custom column before using custom_field.
Store hidden columns correctly.

------------------------------------------------------------------------
r33289 | stig | 2010-06-22 08:12:20 -0700 (Tue, 22 Jun 2010) | 7 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-mactelnet.c

From Håkon Nessjøen via bug 4899:
Dissector for Mikrotik RouterOS protocol for telneting without using IP
addresses.

From me:
Code cleanup.

------------------------------------------------------------------------
r33290 | stig | 2010-06-22 08:14:42 -0700 (Tue, 22 Jun 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Added Håkon Nessjøen.

------------------------------------------------------------------------
r33291 | wmeier | 2010-06-22 08:33:27 -0700 (Tue, 22 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Ensure no exceptions thrown while checking for Gigamon trailer.
(Builds upon the previous commit by Anders).

------------------------------------------------------------------------
r33292 | stig | 2010-06-22 09:56:07 -0700 (Tue, 22 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mactelnet.c

From Håkon Nessjøen:
Added configurability of port number.

From me:
Removed some unneeded variable inits.

------------------------------------------------------------------------
r33293 | wmeier | 2010-06-22 17:04:37 -0700 (Tue, 22 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Strengthen test for Gigamon trailer;
Change some indentation/spacing.

------------------------------------------------------------------------
r33294 | etxrab | 2010-06-22 21:50:52 -0700 (Tue, 22 Jun 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-lte-rrc.h
   M /trunk/epan/dissectors/packet-s1ap.c

FromToshihiro Kataoka:
Dissect 3GPP S1AP UE Capability Info Indication.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4904
------------------------------------------------------------------------
r33295 | stig | 2010-06-23 00:26:50 -0700 (Wed, 23 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mactelnet.c

Added link to a protocol description.
Show the control packet magic number.
Set correct length on the control packet item.
Corrected some blurbs.

------------------------------------------------------------------------
r33296 | stig | 2010-06-23 00:29:53 -0700 (Wed, 23 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

Use the fetched cur_fmt for format number.

------------------------------------------------------------------------
r33297 | tuexen | 2010-06-23 00:47:15 -0700 (Wed, 23 Jun 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sctp_stat.h
   M /trunk/gtk/sctp_stat_dlg.c

From Robin Seggelmann: Improve SCTP chunk statistics.

------------------------------------------------------------------------
r33298 | gal | 2010-06-23 04:00:46 -0700 (Wed, 23 Jun 2010) | 7 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

New option (-r) to allow a prefix to be removed from type names.
Usage: asn2wrs.py -r prefix

This is used by x509sat where a prefix is used in type names to 
avoid conflicts with built-in types.


------------------------------------------------------------------------
r33299 | gal | 2010-06-23 04:07:08 -0700 (Wed, 23 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/x509sat/Makefile.common
   M /trunk/asn1/x509sat/SelectedAttributeTypes.asn
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h

Update to register basic ASN.1 syntaxes.


------------------------------------------------------------------------
r33300 | gal | 2010-06-23 04:28:59 -0700 (Wed, 23 Jun 2010) | 48 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Configuration to allow the definition of an OID name and associated syntax.

It allows the user to:
* Add names and/or syntaxes for OIDs that Wireshark doesn't natively understand
* Override the built-in OID names (e.g. change 'id-at-organization' to 'o')
* Use a special syntax, "ASN.1", that allows a value associated with an OID 
  to be dissected as "unknown ber". (This is a effectively a selective 
  version of the "Decode unexpected tags as BER encoded data" BER option.)

The configuration file is a glib key-value file, with the dotted OID used as
the group, and two keys defined, "name" and "syntax".

A configuration option is added to the BER preferences page. A single 
configuration file may be specified, or a directory may be specified. If a 
directory is specified, then the files with a ".oid" extension will be loaded.

An example configuration file:

[2.5.21.5]
name=attributeTypes
syntax=ASN.1
[2.5.21.6]
name=objectClasses
[2.5.21.7]
name=nameForms
[1.2.840.10040.4.3]
name=id-dsa-with-sha1
[2.5.4.6]
name=c
[2.5.4.10]
name=o
[2.5.4.11]
name=ou
[2.5.4.3]
name=cn
[1.3.32.0.2.0.4.66]
name=Unknown OID
syntax=PrintableString
[0.9.2342.19200300.100.1.10]
name=unknown dn
syntax=DistinguishedName

----

The list of known syntaxes is shown in the "Decode As ..." dialog when 
examining a BER file.


------------------------------------------------------------------------
r33301 | stig | 2010-06-23 04:57:16 -0700 (Wed, 23 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/frame_data.c

Ensure the "Delta time displayed" is always zero for the first displayed
packet, and not the delta from the first captured package.

------------------------------------------------------------------------
r33302 | wmeier | 2010-06-23 07:24:09 -0700 (Wed, 23 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mactelnet.c

- Use tvb_reported_length() instead of tvb_length() in a few cases;
- col_clear() not req'd;
- Use guint32 for offset;
- Minor whitespace/indentation cleanup.

------------------------------------------------------------------------
r33303 | gal | 2010-06-23 07:26:19 -0700 (Wed, 23 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

The version of glib on Solaris 10 (2.4?) does not support GKeyFile which was
introduced in 2.6. Disable oid table if GKeyFile is not available. 


------------------------------------------------------------------------
r33304 | stig | 2010-06-23 09:49:17 -0700 (Wed, 23 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/stock_icons.c
   M /trunk/gtk/stock_icons.h

Added a "Follow Stream" button to the conversations dialog.

------------------------------------------------------------------------
r33305 | stig | 2010-06-23 12:49:33 -0700 (Wed, 23 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/conversations_table.c

Add the "Follow Stream" button to the TCP conversations and UDP conversations
dialog.

------------------------------------------------------------------------
r33306 | stig | 2010-06-23 12:59:35 -0700 (Wed, 23 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mactelnet.c

Use correct data type for port number.

------------------------------------------------------------------------
r33307 | wmeier | 2010-06-23 13:08:11 -0700 (Wed, 23 Jun 2010) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-tdmoe.c
   M /trunk/epan/etypes.h

From Haakon Nessjoen: New dissector for Digiums TDMoE protocol

From me: A few minor changes:
- col-clear() not req'd;
- Use 'gint32 length' rather than 'guint8 length';
- Use ENC_NA instead of FALSE/TRUE in two cases;
- Move global tdmoe_handle to be local to proto_reg_handoff...

------------------------------------------------------------------------
r33308 | wmeier | 2010-06-23 13:17:33 -0700 (Wed, 23 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mactelnet.c

Use ENC_NA rather than FALSE.

------------------------------------------------------------------------
r33309 | etxrab | 2010-06-23 23:01:11 -0700 (Wed, 23 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c

From "wiresharkbugzilla@jdkbx.cjb.net":
Support for RFC4279 Pre-Shared Key Ciphersuites for Transport Layer Security (TLS)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4853
------------------------------------------------------------------------
r33310 | etxrab | 2010-06-23 23:37:31 -0700 (Wed, 23 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Try to fix the build.
------------------------------------------------------------------------
r33311 | gal | 2010-06-24 02:12:28 -0700 (Thu, 24 Jun 2010) | 3 lines
Changed paths:
   M /trunk/doc/wireshark.pod.template

Update with documentation on the object identifier configuration files.


------------------------------------------------------------------------
r33312 | etxrab | 2010-06-24 03:42:13 -0700 (Thu, 24 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

from Sylvain Munaut:
SDCCH8 subchannel decoding error in GSM RR dissector 
Summary:  SDCCH8 subchannel decoding error in GSM RR dissector  

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4910
------------------------------------------------------------------------
r33313 | stig | 2010-06-24 04:37:03 -0700 (Thu, 24 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Added description of ECT and ECN-CE, added TFS for the bit values
and some item cleanup.

------------------------------------------------------------------------
r33314 | stig | 2010-06-24 06:40:47 -0700 (Thu, 24 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x509sat/Makefile.common

Build dependency to x411.

------------------------------------------------------------------------
r33315 | stig | 2010-06-24 11:07:40 -0700 (Thu, 24 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/proto.c

Ensure we use the numeric value when creating a filter from a custom column
entry displaying a integer value.  The resolved string can contain a space,
and our routines does not quote integer values, and A DEC_HEX/HEX_DEC
combination will never match.

------------------------------------------------------------------------
r33316 | morriss | 2010-06-24 12:58:20 -0700 (Thu, 24 Jun 2010) | 1 line
Changed paths:
   M /trunk/docbook/wsluarm.xml

Lua is now enabled by default.  Capitalize Lua in a few places.  Call protocol dissectors 'protocol dissectors' instead of protocols.
------------------------------------------------------------------------
r33317 | stig | 2010-06-24 23:42:34 -0700 (Thu, 24 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/epan/prefs.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/menus.h
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/prefs_column.c

Introduce "Show Resolved" as an option in custom columns.  This will determine
if we show the value or the string representing the value.

This setting is not stored in the preferences file yet, and the option is
not available in the columns preferences window.

------------------------------------------------------------------------
r33318 | stig | 2010-06-25 00:35:52 -0700 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Added get_column_resolved and set_column_resolved.

------------------------------------------------------------------------
r33319 | stig | 2010-06-25 02:58:25 -0700 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/uat_load.l

Run uat->post_update_cb() in uat_load().

------------------------------------------------------------------------
r33320 | stig | 2010-06-25 03:44:12 -0700 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/gtk/new_packet_list.c

Enable "Show Resolved" for custom OID columns.

------------------------------------------------------------------------
r33321 | gerald | 2010-06-25 10:14:41 -0700 (Fri, 25 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c
   M /trunk/epan/sigcomp_state_hdlr.c

Make sure our addresses are modulo 2^16 in a lot of places. Fixes a
crash found while fuzzing, and hopefully fixes bug 4867.

In sigcomp_init_udvm() initialize the first 8 bytes of our buffers,
which squelches a valgrind complaint.

------------------------------------------------------------------------
r33322 | stig | 2010-06-25 11:55:09 -0700 (Fri, 25 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

From Cal Turney via bug 4849:
Save the folder path of the last capture selected in the Open dialog in recent.

------------------------------------------------------------------------
r33323 | stig | 2010-06-25 12:22:32 -0700 (Fri, 25 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

Fall back to get_persdatafile_dir() if recent.gui_fileopen_remembered_dir
does not exist or is no directory.

------------------------------------------------------------------------
r33324 | stig | 2010-06-25 12:33:18 -0700 (Fri, 25 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/recent.c

Initialize recent.gui_fileopen_remembered_dir correctly.
Set last open dir when changing profile.

------------------------------------------------------------------------
r33325 | gerald | 2010-06-25 14:01:42 -0700 (Fri, 25 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/follow_tcp.c

Try replacing "-->" with the UTF-8 byte sequence for "RIGHTWARDS ARROW".
If this works we can replace ASCII arrows elsewhere in the UI.

------------------------------------------------------------------------
r33326 | gerald | 2010-06-25 15:09:34 -0700 (Fri, 25 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/follow_udp.c
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/rtp_analysis.c
   A /trunk/gtk/utf8_entities.h

UTF-8-ize a bunch more arrows. If IE6 on XP can render them then they
*must* be safe to use, right?

------------------------------------------------------------------------
r33327 | gerald | 2010-06-25 15:24:26 -0700 (Fri, 25 Jun 2010) | 4 lines
Changed paths:
   M /trunk/tshark.c

r32715 fixed bug 4708 (zlib-1.2.5 cause wireshark to stop live capture)
for Wireshark but not TShark. Apply the fix to TShark as well. Fixes bug
4916.

------------------------------------------------------------------------
r33328 | martinm | 2010-06-25 16:04:16 -0700 (Fri, 25 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c
   M /trunk/gtk/rlc_lte_stat_dlg.c

Improve UM analysis - make it more like AM.

------------------------------------------------------------------------
r33329 | stig | 2010-06-26 05:00:08 -0700 (Sat, 26 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Avoid crash when adding SNMP Users.
This fixes bug 4926.

------------------------------------------------------------------------
r33330 | etxrab | 2010-06-26 09:39:18 -0700 (Sat, 26 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-s1ap.c

From KATAOKA Toshihiro:
3GPP S1AP Transparent Container.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4913
------------------------------------------------------------------------
r33331 | stig | 2010-06-26 14:03:01 -0700 (Sat, 26 Jun 2010) | 5 lines
Changed paths:
   M /trunk/file.c

Increase the displayed_count before we add the packet to the packet list,
because we update the the packets bar when adding the packet.

This fixes bug 4896.

------------------------------------------------------------------------
r33332 | stig | 2010-06-26 14:30:36 -0700 (Sat, 26 Jun 2010) | 4 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_list_store.c

Always show packets with Time Reference (as in the old packet list).
Recreate visible rows when removing a Time Reference which has not passed
the display filter.

------------------------------------------------------------------------
r33333 | stig | 2010-06-26 14:42:12 -0700 (Sat, 26 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

Cleanup some whitespace.

------------------------------------------------------------------------
r33334 | stig | 2010-06-26 15:53:36 -0700 (Sat, 26 Jun 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_list_store.c

Fixed removing a Time Reference from a column not matching the display filter.

------------------------------------------------------------------------
r33335 | etxrab | 2010-06-27 01:22:50 -0700 (Sun, 27 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mip6.h

From KATAOKA Toshihiro:
MIPv6 Heartbeat
------------------------------------------------------------------------
r33336 | gerald | 2010-06-27 08:03:39 -0700 (Sun, 27 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-06-27]
------------------------------------------------------------------------
r33340 | gerald | 2010-06-27 14:47:06 -0700 (Sun, 27 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c

Make sure some variables are initialized.

------------------------------------------------------------------------
r33341 | gerald | 2010-06-27 15:38:28 -0700 (Sun, 27 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

Initialize attributedesc_string in a couple of places so that we
don't end up trying to use an invalid pointer.

------------------------------------------------------------------------
r33342 | gal | 2010-06-28 02:26:41 -0700 (Mon, 28 Jun 2010) | 5 lines
Changed paths:
   M /trunk/asn1/x509sat/Makefile.common
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/tools/asn2wrs.py

Remove the -R flag (used to generate syntax registrations) and replace with a 
packet-<proto>-syn-reg.c output file. This is more generic and allows the 
syntax registrations to the directed from the template file.


------------------------------------------------------------------------
r33343 | gal | 2010-06-28 02:30:15 -0700 (Mon, 28 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/uat.c
   M /trunk/epan/uat.h

Introduce an Object Identifier field macro, together with an appropriate field
check routine.
Also, a field type which is an enumerated string value.


------------------------------------------------------------------------
r33344 | gal | 2010-06-28 02:33:04 -0700 (Mon, 28 Jun 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

After a nudge from Stig (thanks Stig), convert the OID configuration from 
GKeyFile (which is not available on Sparc Solaris) to a User Accessible 
Table(UAT). 
This also allows the user to manage the configuration from the Wireshark GUI 
and select the associated syntax from a drop down list.


------------------------------------------------------------------------
r33345 | stig | 2010-06-28 03:34:15 -0700 (Mon, 28 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/s4406/packet-s4406-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x509af.c

Moved register_ber_syntax_dissector() and register_ber_oid_syntax() from
proto_reg_handoff_* to proto_register_*.

------------------------------------------------------------------------
r33346 | martinm | 2010-06-28 03:50:03 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Further improvements to UM sequence analysis.

------------------------------------------------------------------------
r33347 | gal | 2010-06-28 04:15:11 -0700 (Mon, 28 Jun 2010) | 3 lines
Changed paths:
   M /trunk/doc/wireshark.pod.template

Remove documentation of Object Identifier configuration files, as a UAT is now used.


------------------------------------------------------------------------
r33348 | stig | 2010-06-28 05:42:40 -0700 (Mon, 28 Jun 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Hitoshi Irino via bug 4942:
1. fix the bug in dissect_v9_pdu.
(The bug is introduced in r32627, It's my fault, I'm sorry.)
When option data record is decoded, unpatched dissect_v9_pdu decode only scope
fields, it does not decode following data fields. And it runs in endless loop
when length of a scope filed is 0. This patch solve these problem.
2. defines some value_strings for some fields.
3. updates URLs in comment.

------------------------------------------------------------------------
r33349 | stig | 2010-06-28 06:58:00 -0700 (Mon, 28 Jun 2010) | 8 lines
Changed paths:
   M /trunk/util.c

From Jan Šafránek via bug 4945:
Remove any '%<interface>' from default filter.

Wireshark prepares unparseable default filter when it's started under
'ssh <link-local ipv6 address>%<interface name>' - '%' in SSH_CONNECTION
is not allowed filter. Let's cut the '%<interface name>' from any IP
addresses in default filters. 

------------------------------------------------------------------------
r33350 | gal | 2010-06-28 07:24:32 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x411/packet-x411-template.h
   M /trunk/asn1/x411/x411.cnf
   M /trunk/asn1/x420/packet-x420-template.h
   M /trunk/asn1/x420/x420.cnf
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x411.h
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x420.h

Removal of various warnings, mainly by not emitting functions for ASN.1 types that are only used for COMPONENTS OF.

------------------------------------------------------------------------
r33351 | etxrab | 2010-06-28 08:31:41 -0700 (Mon, 28 Jun 2010) | 1 line
Changed paths:
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/asn1/s1ap/Makefile.common
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-ranap.h
   M /trunk/epan/dissectors/packet-s1ap.c

Dissect more GTPV2 IE's
------------------------------------------------------------------------
r33352 | gerald | 2010-06-28 09:50:07 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_customize.xml

Replace ASCII arrows with their equivalent character entities.

------------------------------------------------------------------------
r33353 | martinm | 2010-06-28 10:25:58 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Change a couple of format specifiers: %-nu  looks better than %0nu here

------------------------------------------------------------------------
r33354 | gerald | 2010-06-28 10:26:07 -0700 (Mon, 28 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

It looks like dissect_ber_octet_string() is called with the expectation
that out_tvb will always be set (the H.248 dissector does this, at
least). Make sure we do so. Do the same for
dissect_ber_constrained_octet_string().

------------------------------------------------------------------------
r33355 | stig | 2010-06-28 12:06:16 -0700 (Mon, 28 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Search in user defined oid syntax table before built-in oid table in
call_ber_oid_callback(), so the user can override the defaults in the
"OID Tables".

------------------------------------------------------------------------
r33356 | stig | 2010-06-28 14:04:56 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   A /trunk/asn1/s1ap/packet-s1ap-template.h
   A /trunk/epan/dissectors/packet-s1ap.h

Add the missing packet-s1ap.h

------------------------------------------------------------------------
r33357 | stig | 2010-06-28 14:05:31 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Mark an unused argument.

------------------------------------------------------------------------
r33358 | gerald | 2010-06-28 15:13:53 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Make sure dissect_ber_integer() always sets a value.

------------------------------------------------------------------------
r33359 | wmeier | 2010-06-28 15:29:49 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Rework ethernet address resolution: step 1: simplify 'get_ether_name_if_known()'

------------------------------------------------------------------------
r33360 | wmeier | 2010-06-28 15:43:13 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

(Trivial): Whitespace revisions.

------------------------------------------------------------------------
r33361 | gerald | 2010-06-28 16:11:48 -0700 (Mon, 28 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

tvb_get_ptr() may not return a valid string. Must I break out the
picture of the cow again?

------------------------------------------------------------------------
r33362 | gerald | 2010-06-28 17:08:24 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

Make sure we don't dereference an invalid function pointer. Fixes bug 4949.

------------------------------------------------------------------------
r33363 | gerald | 2010-06-28 17:44:41 -0700 (Mon, 28 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Don't try to use a NULL tvb in call_ber_oid_callback(). Fixes bug 4950.

------------------------------------------------------------------------
r33364 | wmeier | 2010-06-28 19:53:17 -0700 (Mon, 28 Jun 2010) | 8 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Rework ethernet address resolution: step 2:
- Use a new hashwka_t struct (instead of hashether_t) for 
   "well-known-address" hash entries (saves some space);
- Remove unused variable from hashether_t;
- Reorder variables within hashether_t and hashmanuf_t to minimize padding in the structures;
- Rename some variables for clarity;
- Misc whitespace changes.

------------------------------------------------------------------------
r33365 | wmeier | 2010-06-28 20:43:17 -0700 (Mon, 28 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Hack to prevent checkAPIs.pl from complaining about missing const in
 'static value_string syntax_names[...]' 

------------------------------------------------------------------------
r33366 | etxrab | 2010-06-28 22:40:45 -0700 (Mon, 28 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Set pinfo->link_dir when protocol configuration options is in the message.
------------------------------------------------------------------------
r33367 | etxrab | 2010-06-29 01:06:13 -0700 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-gtp.c

Add "End Marker" get rid of the .h file as no one imports anything.
(Leave the .h file for a while).
------------------------------------------------------------------------
r33368 | gal | 2010-06-29 02:41:53 -0700 (Tue, 29 Jun 2010) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_customize.xml

Documentation for the Object Identifiers User Accessible Table.


------------------------------------------------------------------------
r33369 | etxrab | 2010-06-29 03:46:54 -0700 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/s1ap/S1AP-CommonDataTypes.asn
   M /trunk/asn1/s1ap/S1AP-Constants.asn
   M /trunk/asn1/s1ap/S1AP-IEs.asn
   M /trunk/asn1/s1ap/S1AP-PDU-Contents.asn
   M /trunk/asn1/s1ap/S1AP-PDU-Descriptions.asn
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s1ap.h

Update to V9.3.0 (2010-06)
Export ENB-StatusTransfer-TransparentContainer
------------------------------------------------------------------------
r33370 | gal | 2010-06-29 05:16:10 -0700 (Tue, 29 Jun 2010) | 7 lines
Changed paths:
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h
   M /trunk/tools/asn2wrs.py

New "#.SYNTAX" section for the asn2wrs conformance file. 
This allows syntaxes to be registered separately from PDUs.
Within the new section, the ASN.1 types to be used as syntaxes should be iterated. 
An optional second parameter on each line may be provided to provide an alternative name for the syntax (that the user will see). This name must be in double quotes.



------------------------------------------------------------------------
r33371 | etxrab | 2010-06-29 07:50:40 -0700 (Tue, 29 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Allow dissection if not ciphered.
------------------------------------------------------------------------
r33372 | etxrab | 2010-06-29 07:56:39 -0700 (Tue, 29 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Dissect one F-container
------------------------------------------------------------------------
r33373 | gerald | 2010-06-29 08:58:00 -0700 (Tue, 29 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Shorten "Number of bytes in flight" to "Bytes in flight", otherwise we
end up with a really wide column.

------------------------------------------------------------------------
r33374 | gal | 2010-06-29 11:07:33 -0700 (Tue, 29 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/ansi_tcap/ansi_tcap.cnf
   M /trunk/epan/dissectors/packet-ansi_tcap.c

Decode parameters as ASN.1 directly and avoid interpreting as an OCTET STRING.


------------------------------------------------------------------------
r33375 | gal | 2010-06-29 11:09:03 -0700 (Tue, 29 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/pres/ISO8823-PRESENTATION.asn
   M /trunk/asn1/pres/pres.cnf
   M /trunk/epan/dissectors/packet-pres.c

Interpret single-ASN1-type as ASN.1 and not as an OCTET STRING.


------------------------------------------------------------------------
r33376 | etxrab | 2010-06-29 14:29:53 -0700 (Tue, 29 Jun 2010) | 4 lines
Changed paths:
   M /trunk/gtk/menus.c

Fix:new_packet_list: Crash triggered when changing display filter from right-mouse pop-up menu via packet-list.
 g_object_set_data() was using physical_row rather than row.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4860
------------------------------------------------------------------------
r33377 | guy | 2010-06-29 15:38:00 -0700 (Tue, 29 Jun 2010) | 3 lines
Changed paths:
   M /trunk/gtk/menus.c

Back out what I suspect were private/not-ready-for-prime-time changes,
not all of the parts of which were present, causing the build to fail.

------------------------------------------------------------------------
r33378 | guy | 2010-06-29 16:37:10 -0700 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Include packet-gtp.h in the release tarball.

------------------------------------------------------------------------
r33379 | gerald | 2010-06-29 16:48:24 -0700 (Tue, 29 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Completely revert r33367 so that we don't duplicate content in
packet-gtp.h.

------------------------------------------------------------------------
r33380 | gerald | 2010-06-29 16:50:51 -0700 (Tue, 29 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtp.h

Add End Marker back in.

------------------------------------------------------------------------
r33381 | krj | 2010-06-29 22:37:34 -0700 (Tue, 29 Jun 2010) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.inc

Sort filename expansion
------------------------------------------------------------------------
r33382 | stig | 2010-06-30 02:09:18 -0700 (Wed, 30 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Added expert info for illegal bitstring padding and when bits are set
in the padded area.

------------------------------------------------------------------------
r33383 | gal | 2010-06-30 03:06:21 -0700 (Wed, 30 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

When determining a BER length, make sure the BER identifier was marked as constructed if an indefinite length is encountered.
This helps prevent a stack overflow problem reported in Bug 4951.


------------------------------------------------------------------------
r33384 | etxrab | 2010-06-30 12:38:26 -0700 (Wed, 30 Jun 2010) | 5 lines
Changed paths:
   M /trunk/file.c

Reverting
http://anonsvn.wireshark.org/viewvc?view=rev&revision=29861
seems to fix the scrolling in live captures issue.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4891
------------------------------------------------------------------------
r33385 | gerald | 2010-06-30 16:07:58 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Use the right array bounds.

------------------------------------------------------------------------
r33386 | gerald | 2010-06-30 16:20:03 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/doc/Makefile.am
   M /trunk/docbook/Makefile.am
   M /trunk/epan/Makefile.am
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/gtk/Makefile.am
   M /trunk/plugins/Makefile.am
   M /trunk/wiretap/Makefile.am

Add Visual C++ project files to the distribution.

------------------------------------------------------------------------
r33388 | gerald | 2010-06-30 16:36:24 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c

Initialize a variable.

------------------------------------------------------------------------
r33389 | gerald | 2010-06-30 16:40:05 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c

Initialize some variables.

------------------------------------------------------------------------
r33390 | gerald | 2010-06-30 16:45:24 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c

Initialize a variable.

------------------------------------------------------------------------
r33392 | gerald | 2010-06-30 17:11:14 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/asn1/spnego/spnego.cnf
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-spnego.c

Initialize more variables.

------------------------------------------------------------------------
r33393 | guy | 2010-06-30 17:12:16 -0700 (Wed, 30 Jun 2010) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/capture_opts.h
   M /trunk/capture_sync.c
   M /trunk/tshark.c

From Petr Lautrbach: when capturing, return the exit status of dumpcap,
so we give a non-zero exit status for invalid interfaces or capture
filters.

From me: don't exit immediately if dumpcap failed, print out information
from taps and the like.

------------------------------------------------------------------------
r33396 | gerald | 2010-06-30 17:44:21 -0700 (Wed, 30 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/asn1/spnego/spnego.cnf
   M /trunk/epan/dissectors/packet-spnego.c

Initialize MechType_oid in the right place.

------------------------------------------------------------------------
r33397 | guy | 2010-06-30 21:01:13 -0700 (Wed, 30 Jun 2010) | 3 lines
Changed paths:
   M /trunk/test/suite-clopts.sh

TShark now exits with a status of 1 for an invalid interface or capture
filter; check for that, rather than for a status of 0.

------------------------------------------------------------------------
r33398 | stig | 2010-07-01 04:31:24 -0700 (Thu, 01 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

Remove some double GTK_TREE_VIEW casts.

------------------------------------------------------------------------
r33399 | stig | 2010-07-01 05:21:29 -0700 (Thu, 01 Jul 2010) | 5 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h

Fetch filter and copy summary from correct column after DND columns.

This does not recreate the internal structures, but we we fix the problem
with fetching wrong data.  Printing still uses the configured column order.

------------------------------------------------------------------------
r33400 | stig | 2010-07-01 07:33:36 -0700 (Thu, 01 Jul 2010) | 6 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

Recreate the packet list on DND columns.

This is a quick'n'dirty fix and not optimal, but it fixes the problems we
have with DND columns.  We have to rewrite new_packet_list_recreate() to
handle both new, delete and reorder columns.

------------------------------------------------------------------------
r33401 | wmeier | 2010-07-01 08:11:02 -0700 (Thu, 01 Jul 2010) | 11 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Rework ethernet address resolution: step 3 of 3:
- Primarily: ethernet name lookup returns either
   unresolved or resolved ethernet name depending upon whether 
   MAC Name resolution is disabled or enabled.
   Previously: Unresolved or resolved name cached at first reference
   and then always returned for future references no matter whether
   MAC Name Resolution was enabled or disabled. 
- Also: Refactor ethernet, manuf & well-known-addr related code;

ToDo: (separately): Redisplay when 'MAC name resolution' enabled/disabled. 

------------------------------------------------------------------------
r33402 | gerald | 2010-07-01 09:35:37 -0700 (Thu, 01 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Have get_ber_length() set the length to 0 by default. This restores behavior
that was lost recently.

------------------------------------------------------------------------
r33403 | gerald | 2010-07-01 10:57:53 -0700 (Thu, 01 Jul 2010) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Don't add raw bytes to the tree.

------------------------------------------------------------------------
r33404 | wmeier | 2010-07-01 11:42:41 -0700 (Thu, 01 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From Sven Eckelmann: Add support for v11 packet format
"Please add support for v11 ogm packets used in linux 2.6.36"
See: Bug #4920: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4920

------------------------------------------------------------------------
r33405 | wmeier | 2010-07-01 12:19:03 -0700 (Thu, 01 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From Sven Eckelmann:  Fix size of seqno in icmp packets
See Bug #4921: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4921

------------------------------------------------------------------------
r33409 | guy | 2010-07-01 20:50:30 -0700 (Thu, 01 Jul 2010) | 6 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

oid_encoded2string() returns a const char *; don't assign it to a char
*.

Don't declare variables in the middle of a block; not all the compilers
we use support that.

------------------------------------------------------------------------
r33410 | guy | 2010-07-01 21:11:04 -0700 (Thu, 01 Jul 2010) | 3 lines
Changed paths:
   M /trunk/capture_sync.c

Have sync_pipe_wait_for_child() return the child's exit status on
Windows, just as we do on UN*X.

------------------------------------------------------------------------
r33411 | guy | 2010-07-02 01:39:08 -0700 (Fri, 02 Jul 2010) | 3 lines
Changed paths:
   M /trunk/capture_sync.c

Attempt to detect when dumpcap dies due to an exception and report that
appropriately.

------------------------------------------------------------------------
r33412 | guy | 2010-07-02 01:41:19 -0700 (Fri, 02 Jul 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Include <Winbase.h> to get error statuses.

------------------------------------------------------------------------
r33413 | guy | 2010-07-02 01:52:35 -0700 (Fri, 02 Jul 2010) | 6 lines
Changed paths:
   M /trunk/capture_sync.c

STATUS_UNWIND_CONSOLIDATE "should not happen", so don't include it -
we'd have to include some other headers to get it defined.

Get rid of the include of Winbase.h - it doesn't define
STATUS_UNWIND_CONSOLIDATE, and it's not necessary.

------------------------------------------------------------------------
r33414 | stig | 2010-07-02 06:15:44 -0700 (Fri, 02 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmp.c

Code cleanup:
- Use ep_strdup_printf instead of ep_alloc + g_snprintf
- Untabify

------------------------------------------------------------------------
r33426 | gerald | 2010-07-04 08:03:32 -0700 (Sun, 04 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-07-04]
------------------------------------------------------------------------
r33430 | stig | 2010-07-05 02:05:27 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/new_packet_list.c

Revert COL_DSCP_VALUE back to value set in packet-ip.c.
Right justify COL_DSCP_VALUE (and COL_DCE_CALL as in the old packet list).

------------------------------------------------------------------------
r33431 | martinm | 2010-07-05 03:35:17 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-mac-lte.h
   M /trunk/gtk/mac_lte_stat_dlg.c

For DL HARQ retx, support knowing result or not.

------------------------------------------------------------------------
r33432 | martinm | 2010-07-05 03:50:27 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Check range of supplied subframe number.  If out, set back to max (9) and
add expert info error.  Should fix bug 4970.

------------------------------------------------------------------------
r33433 | stig | 2010-07-05 03:53:48 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

We have no first and second block when dumping bits view, so no adjustments.

------------------------------------------------------------------------
r33434 | martinm | 2010-07-05 05:38:09 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/mac_lte_stat_dlg.c

Add a checkbox to allow DCT errors to be included in generated display filter.

------------------------------------------------------------------------
r33435 | etxrab | 2010-07-05 08:59:11 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:
Add a proto tree item for Current Channel in DS Parameter Set element.
------------------------------------------------------------------------
r33436 | etxrab | 2010-07-05 09:05:21 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:
Add dissecting for SA Query Action frames (IEEE 802.11w)
------------------------------------------------------------------------
r33437 | martinm | 2010-07-05 09:45:36 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-mac-lte.h

Show grant-subframe from context info.

------------------------------------------------------------------------
r33438 | martinm | 2010-07-05 10:28:28 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.h

Change type back to 16-bit to fix buildbot.
Will change subframe numbers to 8-bit later.

------------------------------------------------------------------------
r33439 | etxrab | 2010-07-05 13:04:46 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:
Add dissecting for IEEE 802.11u GAS frames.
------------------------------------------------------------------------
r33440 | etxrab | 2010-07-05 15:09:10 -0700 (Mon, 05 Jul 2010) | 4 lines
Changed paths:
   M /trunk/gtk/main_statusbar.c

- Show droped packets counter after stopping a live capture.
- Don't show "Load time" during live capture.
- Fix indentation and minor changes to comments.
Should ignored packets be shown also when drops is known?
------------------------------------------------------------------------
r33441 | jmayer | 2010-07-05 16:21:58 -0700 (Mon, 05 Jul 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec-tcp.c

So many people who love to use easy to remember ports.
Improve heuristics to exclude cases where the traffic
definitely isn't Cisco's IPSEC inside TCP.

Does this obsolete the NDMP protocol check?

------------------------------------------------------------------------
r33442 | etxrab | 2010-07-05 21:13:54 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-rpc.c

From Ian Schorr:
NFSv4 usability enhancements (Info column summaries, filterable fields).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4975
------------------------------------------------------------------------
r33443 | etxrab | 2010-07-05 21:20:27 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Andrew Feren:
Several small fixes to NetFlow decoding.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4962
------------------------------------------------------------------------
r33444 | etxrab | 2010-07-05 21:27:01 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From Sven Eckelmann:
Dissector/packet-batadv: Add support for icmp rr.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4922
------------------------------------------------------------------------
r33445 | etxrab | 2010-07-05 21:32:21 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nbns.c

From Frank Schorr:
The packet-nbns.c dissector picks random data as the NBSS PDU length in certain situations.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4914
------------------------------------------------------------------------
r33446 | etxrab | 2010-07-05 21:43:45 -0700 (Mon, 05 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-svcctl.c

From Brett Kuskie:
Enhancement of the dcerpc-svcctl dissector.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4858
------------------------------------------------------------------------
r33447 | etxrab | 2010-07-05 22:46:52 -0700 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Fix "checked api failed"
------------------------------------------------------------------------
r33448 | etxrab | 2010-07-05 22:53:18 -0700 (Mon, 05 Jul 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Fix:
packet-nfs.c:699: warning: type defaults to 'int' in declaration of 'nfsv4_operation_tiers'

packet-nfs.c:9583: warning: unused variable 'saved_fh_hash'
packet-nfs.c:9580: warning: unused variable 'name'
------------------------------------------------------------------------
r33449 | stig | 2010-07-05 23:40:34 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Fix the build on OSX.

------------------------------------------------------------------------
r33450 | stig | 2010-07-05 23:54:51 -0700 (Mon, 05 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Removed non-ASCII characters.

------------------------------------------------------------------------
r33451 | stig | 2010-07-06 00:45:38 -0700 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Try checking for G_MAXUINT64 instead of 0xffffffffffffffff.

------------------------------------------------------------------------
r33452 | guy | 2010-07-06 01:43:07 -0700 (Tue, 06 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

No need to add a fake field with the opcode as a string - you can just
compare the real opcode field against a string.

------------------------------------------------------------------------
r33454 | guy | 2010-07-06 02:51:28 -0700 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Use G_GINT64_CONSTANT() to make a 64-bit all-bits-set constant.

------------------------------------------------------------------------
r33455 | etxrab | 2010-07-06 06:21:34 -0700 (Tue, 06 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Add miising else handling a zero msg_auth_code.
------------------------------------------------------------------------
r33456 | morriss | 2010-07-06 07:57:54 -0700 (Tue, 06 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Limit the number of operations to 128 (arbitrary number) to keep us from attempting to mallocate way too much memory. This fixes the fuzz failure reported in bug 4976.
------------------------------------------------------------------------
r33457 | jake | 2010-07-06 10:22:12 -0700 (Tue, 06 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-omapi.c

Fix for bug 4982:
Handle concatenated Status and other message.

------------------------------------------------------------------------
r33458 | guy | 2010-07-06 12:37:17 -0700 (Tue, 06 Jul 2010) | 4 lines
Changed paths:
   M /trunk/packaging/macosx/ScriptExec/ScriptExec.xcodeproj/project.pbxproj

Don't set SDKROOT - which SDK we want depends on which OS we want this
to run on, and not setting it should default to the OS on which we're
building it (as opposed to an OS for which we might not *have* an SDK).

------------------------------------------------------------------------
r33459 | jake | 2010-07-06 14:02:19 -0700 (Tue, 06 Jul 2010) | 4 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Add button to look at compiled BPF. 
This allows to test and experiment with BPF expressions, before launching
the capture itself. 

------------------------------------------------------------------------
r33460 | gerald | 2010-07-06 15:35:33 -0700 (Tue, 06 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Add a target which creates a zip file containing our .pdb files.

------------------------------------------------------------------------
r33461 | guy | 2010-07-06 18:55:34 -0700 (Tue, 06 Jul 2010) | 7 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

I added PCAP_NETMASK_UNKNOWN in libpcap 1.1.0; it's not present in
1.0.0.  You're supposed to just use 0 in releases prior to 1.1.0 - in
1.1.0 and later, a netmask of PCAP_NETMASK_UNKNOWN will cause errors if
you try to use "ip broadcast" (as you need the netmask to check for
local broadcasts), but, prior to that, the netmask value is blindly used
even if the filter will always fail.

------------------------------------------------------------------------
r33462 | jmayer | 2010-07-07 06:25:36 -0700 (Wed, 07 Jul 2010) | 11 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common

Synchronize dissector lists between CMakeLists.txt and
dissectors/Makefile.common:

The following dissectors were missing from CM:
  dissectors/packet-dcerpc-budb.c
  dissectors/packet-dcerpc-butc.c
  dissectors/packet-dcerpc-drsuapi.c
  dissectors/packet-gsmtap.c

Both: Whitespace fixes and reordering.

------------------------------------------------------------------------
r33463 | jmayer | 2010-07-07 06:46:08 -0700 (Wed, 07 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Some dissectors are added in dissectors/dcerpc/CMakeLists.txt
Remove them here.

------------------------------------------------------------------------
r33464 | morriss | 2010-07-07 08:52:09 -0700 (Wed, 07 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Fix infinite recursion reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4984 : In try_get_ber_length() make sure we move forward before recursing.
------------------------------------------------------------------------
r33465 | etxrab | 2010-07-07 09:07:09 -0700 (Wed, 07 Jul 2010) | 1 line
Changed paths:
   M /trunk/gtk/main.h
   M /trunk/gtk/main_filter_toolbar.c
   M /trunk/gtk/main_filter_toolbar.h
   M /trunk/gtk/recent.c

Remove the #ifdefs and code related to the switch to gtk_combo_box().
------------------------------------------------------------------------
r33466 | gerald | 2010-07-07 09:55:42 -0700 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Try limiting our stack size.

------------------------------------------------------------------------
r33467 | martinm | 2010-07-07 10:13:53 -0700 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pdcp-lte.c

From Pascal Quantin: Add offset of 1 to FMS.

------------------------------------------------------------------------
r33468 | gerald | 2010-07-07 12:53:40 -0700 (Wed, 07 Jul 2010) | 2 lines
Changed paths:
   M /trunk/tools/randpkt-test.sh

Make sure we use the "randpkt-" prefix everywhere.

------------------------------------------------------------------------
r33469 | guy | 2010-07-07 13:33:19 -0700 (Wed, 07 Jul 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

NEW_FILTER_COMBO_BOX no longer does anything - it's not checked for - so
there's no need to define it.

------------------------------------------------------------------------
r33470 | gerald | 2010-07-07 14:27:13 -0700 (Wed, 07 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dect.c

Fix a buffer overflow found by recent randpkt testing. Replace raw data
pointer access with tvb_memcpy() and tvb_get_ntohs().

------------------------------------------------------------------------
r33471 | morriss | 2010-07-07 15:00:44 -0700 (Wed, 07 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

For: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4984#c4 : In try_get_ber_length() don't let a negative length make us go backwards.  This should eliminate a possible infinite loop and appears to /help/ limit the depth of recursion.
------------------------------------------------------------------------
r33472 | morriss | 2010-07-07 19:54:26 -0700 (Wed, 07 Jul 2010) | 8 lines
Changed paths:
   M /trunk/epan/column-utils.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4854 (crash when adding
2nd info column):

Duplicate col_do_append_sep_va_fstr()'s code into col_append_fstr() and
col_append_sep_fstr() (and remove col_do_append_sep_va_fstr()) because we need
to call va_start() and va_end() after each call to g_vsnprintf().  (This is a
followon to rev 32961.)

------------------------------------------------------------------------
r33473 | stig | 2010-07-08 03:04:06 -0700 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/services

Update the services file from IANA's port-numbers.

------------------------------------------------------------------------
r33474 | etxrab | 2010-07-08 04:05:16 -0700 (Thu, 08 Jul 2010) | 4 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/dissector_tables_dlg.c
   A /trunk/gtk/dissector_tables_dlg.h
   M /trunk/gtk/menus.c

Add "WS internal" to the menues this can be used to display internal information like the curren "entry" dissector tables. Emem statistics
could be another item to add.

Add dissector tables treview. This cab be used to find which UDP ports are registered for example.
------------------------------------------------------------------------
r33475 | etxrab | 2010-07-08 05:55:03 -0700 (Thu, 08 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/dissectors/packet-xml.h

from Tarjei Knapstad.
Minor cleanups in packet-xml dissector.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4987
------------------------------------------------------------------------
r33476 | stig | 2010-07-08 07:14:11 -0700 (Thu, 08 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scriptingservice.c

From Thomas Dreibholz via bug 4989:
Extend the SSP dissector to support the SSP Environment message type.

------------------------------------------------------------------------
r33477 | jmayer | 2010-07-08 07:19:32 -0700 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/CMakeLists.txt

Add dissector_tables_dlg.c

------------------------------------------------------------------------
r33478 | wmeier | 2010-07-08 17:23:27 -0700 (Thu, 08 Jul 2010) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Ian Schorr:  "NFSv4 COMMIT Calls not decoding"  

NFSv4 COMMIT Requests are not decoded.  NFS "malformed packet" logic is
tripped.

This was a bug introduced with the changes in bug 4975.  The dissector
erroneously tries to decode 4 bytes past the end of the packet.

A patch is attached that fixes that, as well as adds "Offset" info in the Info
column for COMMIT calls.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4990

------------------------------------------------------------------------
r33479 | wmeier | 2010-07-08 18:46:11 -0700 (Thu, 08 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Implement a separate pref for enabling tracking of tcp window scaling
(instead of including this pref as part of enabling tcp relative sequence numbers).

------------------------------------------------------------------------
r33480 | gerald | 2010-07-09 10:07:34 -0700 (Fri, 09 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Assume that if we have more than 500 levels of nested indefinite lengths
we have a malformed packet.

------------------------------------------------------------------------
r33481 | gerald | 2010-07-09 13:27:02 -0700 (Fri, 09 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmhdr.c

Check our field lengths. Should fix the recent randpkt errors.

------------------------------------------------------------------------
r33482 | guy | 2010-07-09 14:27:08 -0700 (Fri, 09 Jul 2010) | 11 lines
Changed paths:
   M /trunk/plugins/unistim/network.h
   M /trunk/plugins/unistim/packet-unistim.c

The only reason to escape "%" in a string is if you are, incorrectly,
passing a string directly to a routine that expects a format string. 
The correct way to handle that is to pass "%s" as the string.

As long as you're escaping non-printable characters, just let
tvb_format_string() handle that.

For null-terminated strings, get the length of the string with
tvb_strsize(), and then just put the string into the protocol tree as a
regular item.

------------------------------------------------------------------------
r33483 | jake | 2010-07-10 02:47:20 -0700 (Sat, 10 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Fix for bug 4993:
Mac support flags are little endian too.

------------------------------------------------------------------------
r33484 | gerald | 2010-07-11 08:03:33 -0700 (Sun, 11 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-07-11]
------------------------------------------------------------------------
r33488 | gerald | 2010-07-12 10:30:14 -0700 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Add length checks.

------------------------------------------------------------------------
r33493 | gerald | 2010-07-12 16:52:35 -0700 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/nsis/Makefile.nmake
   D /trunk/packaging/nsis/WinPcap_4_1_1.exe
   A /trunk/packaging/nsis/WinPcap_4_1_2.exe
   M /trunk/packaging/nsis/wireshark.nsi

WinPcap 4.1.1 -> 4.1.2.

------------------------------------------------------------------------
r33494 | wmeier | 2010-07-12 17:17:08 -0700 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h

ws_combo_box_text_and_pointer: allow setting entries as "insensitive".

------------------------------------------------------------------------
r33497 | wmeier | 2010-07-12 17:46:00 -0700 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

GtkOptionMenu ==> GtkComboBox

------------------------------------------------------------------------
r33498 | wmeier | 2010-07-12 18:38:54 -0700 (Mon, 12 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Whitespace cleanup: consistent indentation; tabs==>spaces; etc

------------------------------------------------------------------------
r33499 | wmeier | 2010-07-13 06:51:25 -0700 (Tue, 13 Jul 2010) | 6 lines
Changed paths:
   M /trunk/gtk/dcerpc_stat.c

Minor cleanup: 
- rename rpcstat_t to dcerpcstat_t since a different definition of rpcstat_t in
  another Wireshark source file apparently confuses the Windows debugger;
- GHFunc's return void not void *;
- Use gboolean where apropriate.

------------------------------------------------------------------------
r33500 | wmeier | 2010-07-13 07:12:06 -0700 (Tue, 13 Jul 2010) | 4 lines
Changed paths:
   M /trunk/gtk/rpc_stat.c

Minor cleanup:
 - GHFunc's return void not void *;
 - Use gboolean where apropriate.

------------------------------------------------------------------------
r33501 | stig | 2010-07-13 07:38:23 -0700 (Tue, 13 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c

From Mellanox Technologies Ltd. via bug 5004:
Added missing variable assignment for dst_qp.

------------------------------------------------------------------------
r33502 | wmeier | 2010-07-13 07:50:16 -0700 (Tue, 13 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/gtkvumeter.h

Trivial: Replace deprecated GTK_CHECK... macros with apropriate G_TYPE_CHECK... macros

------------------------------------------------------------------------
r33503 | martinm | 2010-07-13 09:25:34 -0700 (Tue, 13 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.c

Allocate tap structs rather than using one static struct.

------------------------------------------------------------------------
r33504 | jake | 2010-07-13 14:21:38 -0700 (Tue, 13 Jul 2010) | 5 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/doc/Makefile.am
   A /trunk/doc/dftest.pod
   A /trunk/doc/randpkt.pod

From Jan Šafránek:
dftest and randpkt are installed during make install, but they are not
documented in any man page.
This is a start. It's more or less a compilation of information found elsewhere.

------------------------------------------------------------------------
r33505 | gerald | 2010-07-13 15:41:34 -0700 (Tue, 13 Jul 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Revert get_ber_length() back to r32530, which removes all of the changes
back to and including my attempt to make it iterative. Move its guts
back into try_get_ber_length() and add a recursion level check.

This should fix CVE-2010-2284 and preserve existing behavior without
introducing any new regressions (such as bug 5000).

------------------------------------------------------------------------
r33506 | gerald | 2010-07-13 15:49:17 -0700 (Tue, 13 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Rename a variable. "tmp_len" was too similar to "tmp_length".

------------------------------------------------------------------------
r33509 | guy | 2010-07-13 16:26:07 -0700 (Tue, 13 Jul 2010) | 4 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c

Add a "-d" flag to dumpcap, to print out the generated code for the
capture filter in human-readable form.  (Well, readable by humans who
know BPF machine language, at least. :-))

------------------------------------------------------------------------
r33510 | guy | 2010-07-13 17:50:25 -0700 (Tue, 13 Jul 2010) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

We must also set the link-layer header type before compiling the capture
filter, as that affects the generated code.

------------------------------------------------------------------------
r33511 | guy | 2010-07-13 19:12:55 -0700 (Tue, 13 Jul 2010) | 2 lines
Changed paths:
   M /trunk/rawshark.c
   M /trunk/tshark.c

Get rid of no-longer-used variable.

------------------------------------------------------------------------
r33512 | guy | 2010-07-13 19:14:54 -0700 (Tue, 13 Jul 2010) | 8 lines
Changed paths:
   M /trunk/dumpcap.c

Define relinquish_all_capabilities() before we use it.

If we get an "XXX is not one of the DLTs supported by this device" error
when we try to set the link-layer header type, don't tell the user to
report it to the Wireshark developers, as that's probably just the
result of them giving a link-layer header type that the device doesn't
support.

------------------------------------------------------------------------
r33513 | guy | 2010-07-13 21:30:37 -0700 (Tue, 13 Jul 2010) | 10 lines
Changed paths:
   M /trunk/dumpcap.c

Ensure, at compile time, that the error-message-buffer argument to
open_captur_device() is an array of PCAP_ERRBUF_SIZE chars.  That means
we don't need to pass the size.

Unfortunately, pcap_compile() didn't always take a "const char *" as the
filter string argument, even though it didn't modify the argument; don't
pass it a "const char *".

Don't print the secondary error message if it's empty.

------------------------------------------------------------------------
r33514 | guy | 2010-07-13 21:31:52 -0700 (Tue, 13 Jul 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Define print_caps() before we use it.

------------------------------------------------------------------------
r33515 | guy | 2010-07-14 01:27:26 -0700 (Wed, 14 Jul 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix build errors.

------------------------------------------------------------------------
r33516 | guy | 2010-07-14 01:29:28 -0700 (Wed, 14 Jul 2010) | 4 lines
Changed paths:
   M /trunk/doc/Makefile.am

Add dftest.pod and randpkt.pod to the release tarball.

Clean up tabs.

------------------------------------------------------------------------
r33517 | guy | 2010-07-14 01:56:35 -0700 (Wed, 14 Jul 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix warnings.

------------------------------------------------------------------------
r33518 | etxrab | 2010-07-14 05:01:05 -0700 (Wed, 14 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Add a field for "Revision Level Indicator" in the "MS Radio Access Capability IE".
------------------------------------------------------------------------
r33519 | jmayer | 2010-07-14 06:22:34 -0700 (Wed, 14 Jul 2010) | 7 lines
Changed paths:
   M /trunk/dumpcap.c

Add #ifdef HAVE_BPF_IMAGE
around
show_filter_code(capture_options *capture_opts)

To fix a warning about an unused function.


------------------------------------------------------------------------
r33520 | gerald | 2010-07-14 08:18:08 -0700 (Wed, 14 Jul 2010) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.am

Fix a typo.

------------------------------------------------------------------------
r33521 | jmayer | 2010-07-14 09:16:29 -0700 (Wed, 14 Jul 2010) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/README.cmake

- Update todo list
- Add dftest and randpkt manpages to sync with autofoo


------------------------------------------------------------------------
r33525 | gerald | 2010-07-14 11:40:11 -0700 (Wed, 14 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

Get our dynamic payload name from the correct location.

------------------------------------------------------------------------
r33526 | stig | 2010-07-14 13:24:38 -0700 (Wed, 14 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-packetlogger.c
   M /trunk/wiretap/packetlogger.c

Don't pass tvb data to col_set_str(), as it will not stay around.
Added support for Note (dumping as text).
Renamed Info to Power (as used in PacketLogger).

------------------------------------------------------------------------
r33527 | sake | 2010-07-14 13:28:34 -0700 (Wed, 14 Jul 2010) | 3 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/print.c
   M /trunk/tshark.c

Make 'tshark -T fields' print all values for fields with multiple occurences.


------------------------------------------------------------------------
r33528 | sake | 2010-07-14 14:05:11 -0700 (Wed, 14 Jul 2010) | 3 lines
Changed paths:
   M /trunk/print.c

Oops... forgot to update the "-E usage" text


------------------------------------------------------------------------
r33529 | sake | 2010-07-14 14:53:57 -0700 (Wed, 14 Jul 2010) | 4 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/print.c
   M /trunk/tshark.c

Add an option to print the first, the last or all occurrences of each field
(when using tshark -T fields)


------------------------------------------------------------------------
r33531 | guy | 2010-07-14 19:07:16 -0700 (Wed, 14 Jul 2010) | 9 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/epan/epan.c
   M /trunk/epan/epan.h
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/main.c
   M /trunk/rawshark.c
   M /trunk/tshark.c
   M /trunk/version_info.c
   M /trunk/version_info.h

Move the code to get version information for libraries used by
libwireshark into libwireshark, and call it only in programs linked with
libwireshark.  That way, programs that don't link with libwireshark
don't have to link with libgcrypt or libgnutls solely so that they can
say that they're linked with a particular version of libgcrypt or
libgnutls.

Don't link dumpcap with libgcrypt or libgnutls any more.

------------------------------------------------------------------------
r33532 | guy | 2010-07-14 20:22:49 -0700 (Wed, 14 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/epan.c

If we have neither libgnutls nor libgcrypt,
epan_get_runtime_version_info() does nothing, and thus doesn't use its
argument.

------------------------------------------------------------------------
r33533 | guy | 2010-07-14 20:28:42 -0700 (Wed, 14 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

No need to link dumpcap with libgnutls.

------------------------------------------------------------------------
r33534 | guy | 2010-07-14 20:31:51 -0700 (Wed, 14 Jul 2010) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/epan/Makefile.nmake

There shouldn't be any need to build stuff in the top-level directory
with the Lua or libgnutls flags, as nothing in the top-level directory
should use them directly.

However, libwireshark *does* require the Lua flags, so use them.

------------------------------------------------------------------------
r33535 | guy | 2010-07-15 02:04:10 -0700 (Thu, 15 Jul 2010) | 4 lines
Changed paths:
   M /trunk/version_info.c

Don't include headers we don't need (they might be generating external
references to functions in libraries with which we're not necessarily
being linked).

------------------------------------------------------------------------
r33536 | guy | 2010-07-15 02:41:34 -0700 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

capinfos.c includes gcrypt.h, so it needs the GNU TLS flags.

------------------------------------------------------------------------
r33537 | stig | 2010-07-15 05:26:12 -0700 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Updated with some items.

------------------------------------------------------------------------
r33538 | wmeier | 2010-07-15 08:05:39 -0700 (Thu, 15 Jul 2010) | 5 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h

Change ws_combo_box... to use a tree-store instead of a list-store;
This allows the dispay of the ws_combo_box choices as a tree.
Also: Rename ws_combo_box_append_text_and_pointer_with_sensitivity() to
             ws_combo_box_append_text_and_pointer_full().

------------------------------------------------------------------------
r33539 | gerald | 2010-07-15 09:18:13 -0700 (Thu, 15 Jul 2010) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/doc/Makefile.am
   M /trunk/doc/Makefile.nmake
   M /trunk/doc/doc.vcproj
   A /trunk/doc/wireshark-filter.pod (from /trunk/doc/wireshark-filter.pod.template:33530)
   D /trunk/doc/wireshark-filter.pod.template

Don't include the filter list (which is now over 16MB) in the
wireshark-filter man page. Point to other sources for the list instead.

------------------------------------------------------------------------
r33540 | gerald | 2010-07-15 10:12:18 -0700 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.nmake

Don't clean wireshark-filter.pod. It's not generated any more.

------------------------------------------------------------------------
r33541 | guy | 2010-07-15 12:43:01 -0700 (Thu, 15 Jul 2010) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in

Only link programs that call stuff in Application Services or Core
Foundation with those frameworks.

------------------------------------------------------------------------
r33542 | guy | 2010-07-15 13:55:46 -0700 (Thu, 15 Jul 2010) | 11 lines
Changed paths:
   M /trunk/version_info.c

On OS X, give the OS version as

	Mac OS X 10.x.y (Darwin a.b.c)

rather than as

	Darwin a.b.c (Mac OS X 10.x.y)

and also note that, on Linux, the lsb_release command might be able to
give you the *distribution* name and version.

------------------------------------------------------------------------
r33543 | guy | 2010-07-15 13:59:26 -0700 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/version_info.c

More details on getting the distribution name and version on Linux.

------------------------------------------------------------------------
r33545 | guy | 2010-07-15 15:31:53 -0700 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/version_info.c

More information on getting the distribution name and release.

------------------------------------------------------------------------
r33546 | jmayer | 2010-07-15 15:50:28 -0700 (Thu, 15 Jul 2010) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

Fix cmake build for wireshark-filters.

------------------------------------------------------------------------
r33549 | jmayer | 2010-07-16 00:48:50 -0700 (Fri, 16 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-vrrp.c

Make whitespace consistent (in preparation for bug 5008)
------------------------------------------------------------------------
r33550 | jmayer | 2010-07-16 02:52:43 -0700 (Fri, 16 Jul 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vrrp.c

Fix for bug 5008:
- Interval is now a 12 bit value in 1/100 s.
- The address type of the virtual address is the address type
  of the network protocol.

Bugs: Currently the mbz and the interval don't look nice.
      The checksum is incorrect (but it was incorrect with the
      old code as well, so it isn't a regression).

------------------------------------------------------------------------
r33551 | martinm | 2010-07-16 04:17:32 -0700 (Fri, 16 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/expert.c

Make frames containing Malformed expert items match with "malformed" display filter.


------------------------------------------------------------------------
r33552 | martinm | 2010-07-16 06:52:18 -0700 (Fri, 16 Jul 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

It makes (slightly) more sense for comments to be "sent" by the context than "received".

------------------------------------------------------------------------
r33555 | gerald | 2010-07-16 11:20:32 -0700 (Fri, 16 Jul 2010) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/tshark.c

Make sure we call wtap_cleareof() before each read.

------------------------------------------------------------------------
r33556 | jake | 2010-07-16 13:42:25 -0700 (Fri, 16 Jul 2010) | 4 lines
Changed paths:
   M /trunk/wka.tmpl

Fix for bug 5015:
Remove redundancy from VRRP MAC address name resolution, 
even though it's fitting for the protocol ;)

------------------------------------------------------------------------
r33557 | jake | 2010-07-16 13:57:08 -0700 (Fri, 16 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xdmcp.c

From Robert Ancell:
XDMCP Query contains authentication names, not authorization names.

------------------------------------------------------------------------
r33558 | jake | 2010-07-17 00:55:28 -0700 (Sat, 17 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mip6.h

From KATAOKA Toshihiro:
I've made some update for MIPv6 Mobility Options according to the IETF RFCs.
See also: http://www.iana.org/assignments/mobility-parameters/mobility-parameters.xhtml#mobility-parameters-2

------------------------------------------------------------------------
r33559 | jmayer | 2010-07-17 07:07:13 -0700 (Sat, 17 Jul 2010) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt

- Copy over from Makefile.am: dumpcap doesn't need to link
  in libgcrypt and gnutls.
- capinfos has a dependency on svnversion.h

------------------------------------------------------------------------
r33560 | jake | 2010-07-17 14:43:25 -0700 (Sat, 17 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mip6.h

From KATAOKA Toshihiro:
Additional patch reparing proto.avvrb.

------------------------------------------------------------------------
r33561 | stig | 2010-07-18 04:07:04 -0700 (Sun, 18 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

Show the reserved values in type 135, 137 and 143 in the packet tree.

This fixes the issues in bug 5018.

------------------------------------------------------------------------
r33562 | stig | 2010-07-18 04:47:43 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ipv6.h

Added some updates from RFC 4443.

------------------------------------------------------------------------
r33563 | stig | 2010-07-18 05:09:14 -0700 (Sun, 18 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

Added some values from IANA's icmpv6-parameters.
Note: option 29 and 30 still not dissected according to RFC 5271.

------------------------------------------------------------------------
r33564 | gerald | 2010-07-18 08:03:32 -0700 (Sun, 18 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-07-18]
------------------------------------------------------------------------
r33565 | stig | 2010-07-18 08:06:13 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Use correct length for the IPv6 item.

------------------------------------------------------------------------
r33568 | stig | 2010-07-18 09:01:11 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/arptypes.h
   M /trunk/epan/dissectors/packet-arp.c

Added some ARP options from RFC 5494.

------------------------------------------------------------------------
r33570 | stig | 2010-07-18 09:05:48 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/afn.c
   M /trunk/epan/afn.h

Added "LISP Canonical Address Format (LCAF)".

------------------------------------------------------------------------
r33571 | stig | 2010-07-18 09:20:29 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Added some bootp option strings from IANA.

------------------------------------------------------------------------
r33572 | guy | 2010-07-18 12:41:11 -0700 (Sun, 18 Jul 2010) | 8 lines
Changed paths:
   M /trunk/wiretap/netmon.c

Initial support for the trailer information in versions 2.1 and later of
the NetMon file format.  Currently, we just use the network type field,
and we ignore all the special record types and don't try to handle any
of the other special network types.

We also catch bogus frame tables where the record is bigger than the
frame table says it is.

------------------------------------------------------------------------
r33574 | guy | 2010-07-18 13:27:46 -0700 (Sun, 18 Jul 2010) | 3 lines
Changed paths:
   M /trunk/wiretap/netmon.c

NetMon per-packet link-layer types with 0xE000 in the upper 4 bits are
converted pcap files; the LINKTYPE_ value is in the lower 12 bits.

------------------------------------------------------------------------
r33576 | guy | 2010-07-18 13:47:48 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/netmon.c

The time delta in a NetMon frame header is signed - it can be negative.

------------------------------------------------------------------------
r33578 | guy | 2010-07-18 15:14:56 -0700 (Sun, 18 Jul 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.c

Add an entry in encap_table_base for SocketCAN.

------------------------------------------------------------------------
r33580 | stig | 2010-07-19 06:31:02 -0700 (Mon, 19 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Added SharedResourceID.

------------------------------------------------------------------------
r33581 | stig | 2010-07-19 06:55:12 -0700 (Mon, 19 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Removed call to check_col().

------------------------------------------------------------------------
r33582 | martinm | 2010-07-19 07:14:47 -0700 (Mon, 19 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Give up dissecting a MAC PDU if we see control LCIDs after data ones.
This saves us getting into a mess trying to keep track of PDU sizes in an array...

------------------------------------------------------------------------
r33583 | guy | 2010-07-19 11:00:20 -0700 (Mon, 19 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-netmon-802_11.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

Initial support for Network Monitor 802.11 radio header.

------------------------------------------------------------------------
r33585 | gerald | 2010-07-19 14:47:51 -0700 (Mon, 19 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Use sscanf() to parse clientaddr4 instead of trying to parse it
ourselves. Add support for IPv6 addresses. Fixes bug 5019.

------------------------------------------------------------------------
r33587 | jmayer | 2010-07-20 01:27:34 -0700 (Tue, 20 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/gtk/compare_stat.c
   M /trunk/tap-comparestat.c

Updading opensuse 11.2 -> 11.3 updated gcc to 4.5.0, which created
a few warnings that needed fixing when compiling with -Werror.

------------------------------------------------------------------------
r33588 | jmayer | 2010-07-20 01:28:49 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Add dissectors/packet-netmon-802_11.c

------------------------------------------------------------------------
r33589 | martinm | 2010-07-20 01:57:15 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/mac_lte_stat_dlg.c

Add new UEs to the end of the list.

------------------------------------------------------------------------
r33590 | martinm | 2010-07-20 06:27:20 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Minor formatting change.

------------------------------------------------------------------------
r33591 | wmeier | 2010-07-20 07:30:41 -0700 (Tue, 20 Jul 2010) | 3 lines
Changed paths:
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h

Add ws_combo_box_new_text_and_pointer_full() to allow returning
the cell renderer associated with the ComboBox.

------------------------------------------------------------------------
r33592 | wmeier | 2010-07-20 07:34:00 -0700 (Tue, 20 Jul 2010) | 4 lines
Changed paths:
   M /trunk/gtk/dcerpc_stat.c

GtkOptionMenu ==> GtkComboBox
(Let's see if the UI seems OK or should be replaced with something
 simpler. (See comments in thecode)).

------------------------------------------------------------------------
r33593 | wmeier | 2010-07-20 08:41:42 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netmon-802_11.c

(Minor) use NULL instead of "" for hf[] blurbs.

------------------------------------------------------------------------
r33594 | gerald | 2010-07-20 08:49:57 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Dump the error output when we have a problem.

------------------------------------------------------------------------
r33595 | stig | 2010-07-20 09:18:18 -0700 (Tue, 20 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.h

From Mat Ford via bug 5031:
Minor update to packet-ipv6.h to reference the correct RFC, and more accurately
describe the ip6_un1_flow data structure.

------------------------------------------------------------------------
r33596 | gerald | 2010-07-20 10:16:42 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Initialize a variable. Fixes bug 5026.

------------------------------------------------------------------------
r33597 | wmeier | 2010-07-20 16:48:56 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/proto_help.c

(Minor) Fix several usages of deprecated GTK functions.

------------------------------------------------------------------------
r33598 | wmeier | 2010-07-20 16:58:56 -0700 (Tue, 20 Jul 2010) | 5 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

All use of deprecated GtkOptionMenu functions fixed: Error if any usage found.
Warn instead of Error for several deprecated GTK functions used recently
 in Wireshark source (1 GtkCombo function and 2 GtkItemFactory functions).
 (ToDo: replace remaining use of GtkCombo and all use of GtkItemFactory).

------------------------------------------------------------------------
r33599 | wmeier | 2010-07-20 17:04:04 -0700 (Tue, 20 Jul 2010) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.nmake

Fix checkAPI targets so gtk-deprecated and gtk-deprecated-todo checks are
properly done. (gtk-deprecated check got inadvertantly removed a while back).

------------------------------------------------------------------------
r33600 | wmeier | 2010-07-20 18:38:11 -0700 (Tue, 20 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ucp.c

(Trivial) add a few comments about date/time formats.

------------------------------------------------------------------------
r33601 | wmeier | 2010-07-20 18:43:14 -0700 (Tue, 20 Jul 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Alex Burlyga:  Make hf_nfs_slotid4 useful again.

"hf_slotid4 is used for all possible slotid fields in sequence op. This patch
 separates them out and makes it useful for filtering."

See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4995

------------------------------------------------------------------------
r33602 | stig | 2010-07-21 02:47:24 -0700 (Wed, 21 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

Fixed adding a boolean value as a custom column.

This is reported in bug 5039.

------------------------------------------------------------------------
r33603 | stig | 2010-07-21 03:28:46 -0700 (Wed, 21 Jul 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From KATAOKA Toshihiro via bug 5033:
3GPP GTPv2 header Update:
- piggybacked flag
- sequence number

From me:
Updated the comments for sequence number.

------------------------------------------------------------------------
r33604 | martinm | 2010-07-21 05:29:32 -0700 (Wed, 21 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Fix warnings as seen in gcc 3.4.6

------------------------------------------------------------------------
r33605 | stig | 2010-07-21 07:17:00 -0700 (Wed, 21 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Added "Attribute Aggregation Rule Mask" from PKT-SP-MM-I05-091029.

------------------------------------------------------------------------
r33606 | stig | 2010-07-21 07:43:02 -0700 (Wed, 21 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Use correct length for I04/I05 Envelope headers.

------------------------------------------------------------------------
r33607 | guy | 2010-07-21 09:25:59 -0700 (Wed, 21 Jul 2010) | 7 lines
Changed paths:
   M /trunk/wiretap/netmon.c

According to mail from Paul Long at Microsoft, in the 1.x NetMon file
format, the time offset from the start of the capture always had a
positive value, so it's an unsigned value.  (In newer versions of NetMon
3.x, the capture can start before the "capture start" time stamp is set,
so packets can have a *negative* offset from the capture start time
stamp.  Those captures are in the 2.x file format.)

------------------------------------------------------------------------
r33609 | guy | 2010-07-21 11:37:01 -0700 (Wed, 21 Jul 2010) | 4 lines
Changed paths:
   M /trunk/wiretap/netmon.c

The 32-bit unsigned time offset in version 1.x files should be converted
to a gint64 (which won't sign-extend it) before multiplying by 1000, so
that the product is 64-bit and won't overflow.

------------------------------------------------------------------------
r33611 | jake | 2010-07-21 12:31:56 -0700 (Wed, 21 Jul 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.h

From Zachary Mark:
It appears that SCSI_SPC_ACCESS_CONTROL_IN is incorrectly set to opcode 0x85 
where the actual opcode is 0x86.  0x85 is the opcode for the 16-byte version 
of the ATA PASSTHROUGH command of the SAT standards family.

------------------------------------------------------------------------
r33612 | jake | 2010-07-21 12:42:01 -0700 (Wed, 21 Jul 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

From Cal Turney:
Remember folder of capture selected from Welcome screen file dialog.

------------------------------------------------------------------------
r33613 | guy | 2010-07-22 02:11:16 -0700 (Thu, 22 Jul 2010) | 8 lines
Changed paths:
   M /trunk/epan/frame_data.c
   M /trunk/epan/frame_data.h

In the frame_data structure, expand the per-packet
encapsulation/data-link type to 16 bits, and shuffle some fields to
eliminate some unnecessary padding - the net result should be no change
in the structure size for 32 bits and a few bytes removed for 64 bits.

This allows more encapsulation types - we've just about run out of the
ones that fit in a signed 8-bit integer - and thus should fix bug 5025.

------------------------------------------------------------------------
r33615 | stig | 2010-07-22 03:07:25 -0700 (Thu, 22 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Corrected length check for I05 Downstream Service.

------------------------------------------------------------------------
r33616 | stig | 2010-07-22 05:18:36 -0700 (Thu, 22 Jul 2010) | 2 lines
Changed paths:
   M /trunk/cmake/modules/FindZLIB.cmake
   M /trunk/cmake/modules/UseMakeDissectorReg.cmake
   M /trunk/cmake/modules/UseMakeTapReg.cmake

Set missing svn:keywords and svn:eol-style.

------------------------------------------------------------------------
r33617 | wmeier | 2010-07-22 11:44:11 -0700 (Thu, 22 Jul 2010) | 5 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

Rework code so start-time, end-time, & packets columns sort properly and are right-justified;
Remove some redundant code;
Widen the VOIP calls window slightly so all columns are displayed initially;
Minor whitespace cleanup.

------------------------------------------------------------------------
r33618 | wmeier | 2010-07-22 13:53:24 -0700 (Thu, 22 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

(Trivial): Whitespace cleanup.

------------------------------------------------------------------------
r33619 | jake | 2010-07-22 22:08:07 -0700 (Thu, 22 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Backing out r33612.

------------------------------------------------------------------------
r33620 | guy | 2010-07-23 03:11:44 -0700 (Fri, 23 Jul 2010) | 6 lines
Changed paths:
   M /trunk/wiretap/netmon.c

At least in some NetMon 3.4 VPN captures, the per-packet link-layer type
is 0, but the packets have Ethernet headers.  We handle this by mapping
0 to WTAP_ENCAP_ETHERNET.

(XXX - should we, instead, use the per-file link-layer type?)

------------------------------------------------------------------------
r33622 | wmeier | 2010-07-23 07:01:47 -0700 (Fri, 23 Jul 2010) | 3 lines
Changed paths:
   M /trunk/gtk/conversations_table.c

(Trivial) Use enum definitions instead of numbers in a switch statement;
Whitespace cleanup.

------------------------------------------------------------------------
r33623 | jake | 2010-07-23 12:40:32 -0700 (Fri, 23 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-6lowpan.c

From Jan van den Boom:
Correct the V and F flag interpretation in the Mesh Addressing Type and Header
for correct address interpretation.

------------------------------------------------------------------------
r33624 | jake | 2010-07-23 13:19:05 -0700 (Fri, 23 Jul 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-6lowpan.c

From John Sucaet:
packet-6lowpan.c dissects the non-compressed ipv6 fields in an order different
from the one specified in RFC 4944 §10.3.1. 
The patch fixes the wrong order and an additional problem with the dissection 
of the mesh header: support for the Deep Hops Left field (RFC 4944 §5.2)

------------------------------------------------------------------------
r33625 | gerald | 2010-07-25 08:03:38 -0700 (Sun, 25 Jul 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-07-25]
------------------------------------------------------------------------
r33629 | etxrab | 2010-07-25 11:24:43 -0700 (Sun, 25 Jul 2010) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mip6.h

From KATAOKA Toshihiro:

I've made next updates for MIPv6 Mobility Options.

- Restart Counter
- IPv4 Default Router Address
 I've made some minor change re-using same type of header fields.

- IPv4 Home Address field in several IPv4 related mobility options.
- Status field in several IPv4 related mobility options.
- Prefix Len field in several IPv4 related mobility options.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5042
------------------------------------------------------------------------
r33630 | etxrab | 2010-07-26 06:04:10 -0700 (Mon, 26 Jul 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-6lowpan.c

From John Sucaet:
The committed changes in 33624 did not include all fixes of the previous patch
file - Please add the fix for the field description of the 8-bit Deep Hops Left
field
Attached file contains this fix (+as well as small correction to the field
descriptions of V and F flags, according to the terminology of RFC 4944)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5047
------------------------------------------------------------------------
r33631 | etxrab | 2010-07-26 06:23:30 -0700 (Mon, 26 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_gui.c

From Cal Turney:
Optionally display Wireshark version in the main window's title bar.
(Modified to include SVN version).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5040
------------------------------------------------------------------------
r33632 | wmeier | 2010-07-26 06:32:13 -0700 (Mon, 26 Jul 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   D /trunk/epan/dissectors/packet-mip6.h

Move contents of packet-mip6.h to packet-mip6.c
  - packet-mip6.h is not used elsewhere;
  - packet-mip6.h includes value string definitions.
Rename enum variables to be more distinct: ... ==> MIP6_...
Whitespace cleanup.

------------------------------------------------------------------------
r33633 | wmeier | 2010-07-26 07:16:57 -0700 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

packet-mip6.h has been removed....

------------------------------------------------------------------------
r33634 | wmeier | 2010-07-26 09:11:56 -0700 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c

(Trivial) Use gboolean instead of int in a few places; Whitespace cleanup.

------------------------------------------------------------------------
r33635 | wmeier | 2010-07-26 09:15:34 -0700 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/gui_stat_util.c

(Trivial) Fix references to "clist" in comments; 

------------------------------------------------------------------------
r33636 | wmeier | 2010-07-26 09:22:33 -0700 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/mtp3_stat.c

(Trivial) use gboolean instead of int in a few places; Whitespace cleanup.

------------------------------------------------------------------------
r33637 | wmeier | 2010-07-26 12:00:44 -0700 (Mon, 26 Jul 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi.c

Fix potential infinite loop: for (guint8=0; guint8 < int; guint8++);
Fixes bug #5053.

------------------------------------------------------------------------
r33638 | wmeier | 2010-07-26 12:24:06 -0700 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.h

(Trivial) Fix a typo.

------------------------------------------------------------------------
r33639 | guy | 2010-07-26 18:06:10 -0700 (Mon, 26 Jul 2010) | 7 lines
Changed paths:
   M /trunk/doc/README.developer

Tell people to be careful about loops like

	for (guint8 = 0; guint8 < guint; guint8++)

(one of which recently caused an infinite loop with a fuzzed packet in
the buildbot).

------------------------------------------------------------------------
r33641 | guy | 2010-07-26 18:19:06 -0700 (Mon, 26 Jul 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Fix grammaro, indent example code.

------------------------------------------------------------------------
r33643 | jake | 2010-07-26 23:46:00 -0700 (Mon, 26 Jul 2010) | 4 lines
Changed paths:
   M /trunk/plugins/unistim/packet-unistim.c

From Don Newton:
Fails to decrement msg_len on 3 different message types which causes the
dissector to attempt to decode an addition or misplaced unistim cmd.

------------------------------------------------------------------------
r33644 | wmeier | 2010-07-27 11:59:30 -0700 (Tue, 27 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

(Trivial) Fix a typo

------------------------------------------------------------------------
r33646 | guy | 2010-07-27 18:12:41 -0700 (Tue, 27 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_gui.c

Backing out r33631 for now - it has a number of issues.

------------------------------------------------------------------------
r33647 | wmeier | 2010-07-28 06:34:41 -0700 (Wed, 28 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/gui_utils.c

(Trivial) Fix some typos; Also: Use consistent indentation.

------------------------------------------------------------------------
r33648 | etxrab | 2010-07-28 09:13:56 -0700 (Wed, 28 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Split dissection of GTP and GTP' in ordet to try to fix bug
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5055
------------------------------------------------------------------------
r33649 | martinm | 2010-07-28 09:58:13 -0700 (Wed, 28 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Allow DRB frames to be passed to PDCP (where they may be decoded as IP).

------------------------------------------------------------------------
r33654 | etxrab | 2010-07-28 14:13:05 -0700 (Wed, 28 Jul 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From Pascal Quantin:
The attached patch fixes the dissection of the PDN Disconnect Request message
in case the optional Protocol Configuration Options IE is not present.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5065
------------------------------------------------------------------------
r33657 | wmeier | 2010-07-28 15:47:48 -0700 (Wed, 28 Jul 2010) | 6 lines
Changed paths:
   M /trunk/gtk/dissector_tables_dlg.c

Minor changes: 
 Use gtk_tree_store_insert_with_values if GTK >= 2.10;
 Change numeric formatting slightly in integer tables so values will
   sort numerically;
 Misc whitespace changes.

------------------------------------------------------------------------
r33666 | wmeier | 2010-07-28 17:29:06 -0700 (Wed, 28 Jul 2010) | 7 lines
Changed paths:
   M /trunk/gtk/dissector_tables_dlg.c

Use a custom sort function for each column of the dissector tables display:
1. Numeric values in the 'Integer Tables' now sort properly.
   (For some reason just using a fixed width string for numeric values sorted
    OK on Windows but not on *nix).
2. The sort may be even faster since it's reputed that the default sort used 
   by Gtk [g_utf8_collate()] is "expensive".

------------------------------------------------------------------------
r33667 | martinm | 2010-07-29 02:30:09 -0700 (Thu, 29 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Improve display of tty lines.

------------------------------------------------------------------------
r33668 | martinm | 2010-07-29 02:39:52 -0700 (Thu, 29 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Don't use sprintf().

------------------------------------------------------------------------
r33669 | wmeier | 2010-07-29 07:23:32 -0700 (Thu, 29 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

(Trivial) Indentation cleanup (mostly: fix "4 space tabs").

------------------------------------------------------------------------
r33676 | gerald | 2010-07-29 15:46:10 -0700 (Thu, 29 Jul 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppi.c

Use ep-allocated strings for our data source names.

------------------------------------------------------------------------
r33677 | wmeier | 2010-07-29 17:17:49 -0700 (Thu, 29 Jul 2010) | 8 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

Minor code cleanup:
- Define several event callback functions with the correct number of args;
- Remove several unnecessary 'if (!user_data)  exit(10);' code sequences;
- Use 'user_data' arg of event callbacks instead of an object property
  in several cases;
- Reformat some long lines.


------------------------------------------------------------------------
r33678 | guy | 2010-07-29 19:30:50 -0700 (Thu, 29 Jul 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee802154.c
   M /trunk/wiretap/daintree-sna.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

Define WTAP_ENCAP_IEEE802_15_4_NOFCS, for use in file formats that don't
include the FCS, and use it for the Daintree SNA file format.  While
we're at it, explicitly check to make sure the purported packet length
gives it at least one byte of packet data, and fix some print formats to
use %u for unsigned values.

------------------------------------------------------------------------
r33679 | wmeier | 2010-07-30 05:41:56 -0700 (Fri, 30 Jul 2010) | 5 lines
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/filter_autocomplete.c
   M /trunk/gtk/filter_autocomplete.h
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/prefs_gui.c
   M /trunk/gtk/profile_dlg.c
   M /trunk/gtk/profile_dlg.h
   M /trunk/gtk/proto_hier_stats_dlg.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/wlan_stat_dlg.c

(Minor) Cleanup some "event callback" function declarations/definitions:
- Add missing 'user_data' arg as needed;
- Use gboolean rather than int as the type of the value returned.
Also: Cleanup whitespace & reformat long lines in a few cases.

------------------------------------------------------------------------
r33680 | wmeier | 2010-07-30 05:56:37 -0700 (Fri, 30 Jul 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.h

'extern gint popup_menu_handler' ==> 'extern gboolean popup_menu_handler' to match just committed menus.c

------------------------------------------------------------------------
r33682 | jmayer | 2010-07-30 13:11:37 -0700 (Fri, 30 Jul 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wassp.c

- Comment: some abbreviations used
- Fix dissection of MU_RF_STATS_BLOCK
- Try to dissect embedded 802.11 frames (only works for the
  header, there seems to be a constant value of 0xa8b7 between
  wireless header and wireless data.

------------------------------------------------------------------------
r33683 | rbalint | 2010-08-01 03:45:42 -0700 (Sun, 01 Aug 2010) | 4 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/gtk/help_dlg.c

Use local copy of Wireshark documentation on UNIX if it's available.
Installation has to be done manually to the location specified by --docdir
configure option.

------------------------------------------------------------------------
r33684 | rbalint | 2010-08-01 04:14:49 -0700 (Sun, 01 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/help_dlg.c

Fix Windows builds broken by previous commit

------------------------------------------------------------------------
r33685 | gerald | 2010-08-01 08:03:31 -0700 (Sun, 01 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-08-01]
------------------------------------------------------------------------
r33689 | etxrab | 2010-08-01 13:55:29 -0700 (Sun, 01 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Try to fix the GTP' header dissection a bit.
------------------------------------------------------------------------
r33690 | stig | 2010-08-02 01:46:36 -0700 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Added missing include <string.h>.

------------------------------------------------------------------------
r33691 | stig | 2010-08-02 01:52:39 -0700 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Mark encryptedData as unused, to avoid warnings when not HAVE_LIBGCRYPT.

------------------------------------------------------------------------
r33692 | wmeier | 2010-08-02 06:09:01 -0700 (Mon, 02 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gprs-llc.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-iec104.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-sctp.c

Fix cases where the type of a for loop variable is smaller than the type of the "end" variable.
In some cases the usage may have been benign since it can be seen by code inspection that the maximum value of the end variable can't exceed the maximum value of the loop variable.
However, on general principles, all the usages have been fixed.

------------------------------------------------------------------------
r33693 | gerald | 2010-08-02 17:08:14 -0700 (Mon, 02 Aug 2010) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/image/README.image
   D /trunk/image/dn_arrow.xpm
   D /trunk/image/up_arrow.xpm

Remove the up/down arrow images. They haven't been used in a very long
time.

------------------------------------------------------------------------
r33694 | gerald | 2010-08-02 17:09:41 -0700 (Mon, 02 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Revert r30979, which removed the window size in SYN packets. People were
asking where it went.

------------------------------------------------------------------------
r33695 | stig | 2010-08-03 01:55:07 -0700 (Tue, 03 Aug 2010) | 5 lines
Changed paths:
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/packet-x509sat.c

Added some missing elements from MS Certificate:
- Previous Cert Hash
- Virtual Base
- Next Publisher

------------------------------------------------------------------------
r33696 | stig | 2010-08-03 04:22:08 -0700 (Tue, 03 Aug 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-browse.c

Decode Browse Domain Announcement version and signature if signature
matches 0xaa55.

I don't know the historic reason for decoding this as "Mysterious Field",
but newer of Network Monitor (3.4) does show this as version and signature.

------------------------------------------------------------------------
r33698 | martinm | 2010-08-03 07:26:35 -0700 (Tue, 03 Aug 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Add a preference to call MAC for TBs (on by default).
Improve info column display for HS-DSCH Capacity Request messages.
Removed calls to check_col().
Removed a few tabs.

------------------------------------------------------------------------
r33699 | sfisher | 2010-08-03 08:29:51 -0700 (Tue, 03 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-exec.c

Remove question marks in preference titles.
------------------------------------------------------------------------
r33700 | wmeier | 2010-08-03 09:06:48 -0700 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/tap.c

(Trivial) Fix a typo.

------------------------------------------------------------------------
r33701 | etxrab | 2010-08-03 09:25:13 -0700 (Tue, 03 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c

From Brandon Skari:
 MySQL dissector doesn't dissect query responses.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5058
------------------------------------------------------------------------
r33702 | etxrab | 2010-08-03 09:57:02 -0700 (Tue, 03 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h
   M /trunk/epan/etypes.h

From Slava:
 Infiniband RoCE dissection.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5060
------------------------------------------------------------------------
r33703 | etxrab | 2010-08-03 10:08:52 -0700 (Tue, 03 Aug 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

From Slava:
The Infiniband dissector currently uses a heuristic where it attempts to parse
IBA payloads as if they contained encapsulated traffic with an Ethertype
header. While a relatively common occurrence and thus a fairly useful feature,
this heuristic in many cases causes false-positives which invoke unneeded
dissectors and generate noise in the form of unjustified "malformed packet"
errors these dissectors cause. This patch adds a checkbox to the Infiniband
preferences menu that allows users to disable this feature if desired. The
option remains on by default.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5062
------------------------------------------------------------------------
r33707 | stig | 2010-08-04 06:32:09 -0700 (Wed, 04 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-udp.c

Avoid a possible dereference of null pointer.

------------------------------------------------------------------------
r33708 | stig | 2010-08-04 06:32:44 -0700 (Wed, 04 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c

Avoid a possible dereference of null pointer.

------------------------------------------------------------------------
r33709 | stig | 2010-08-04 06:34:05 -0700 (Wed, 04 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c

Initialize confounder to ensure it has a known value.

------------------------------------------------------------------------
r33710 | stig | 2010-08-04 06:34:50 -0700 (Wed, 04 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/uat.c

Ensure we don't index into a NULL pointer.

------------------------------------------------------------------------
r33711 | martinm | 2010-08-04 07:42:09 -0700 (Wed, 04 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Update bit_offset whether calling MAC dissector or not.

------------------------------------------------------------------------
r33713 | stig | 2010-08-05 00:09:59 -0700 (Thu, 05 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nt-tpcp.c

Initialize tpcph to avoid warnings from clang:
"The left operand of '>>' is a garbage value".

------------------------------------------------------------------------
r33714 | stig | 2010-08-05 00:12:56 -0700 (Thu, 05 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/sctp_stat.c

Initialize tmp_info to avoid warnings from clang:
"Assigned value is garbage or undefined".

------------------------------------------------------------------------
r33718 | etxrab | 2010-08-05 12:01:27 -0700 (Thu, 05 Aug 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sbus.c

From Christian Durrer:
- Added more info for detecting S-Bus telegrams
- Added the display filter sbus.retry for finding re-sent request telegrams
- Added the possibility to jump from the request telegram to the response
telegram
- Added response time to the response telegram
- Added telegram types "Read/Write Block"
- Corrected the "Read System Info" telegram (CRC was not correctly calculated)
- Changed my EMail address
- Small typos corrected
------------------------------------------------------------------------
r33719 | jake | 2010-08-05 12:11:35 -0700 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   M /trunk/config.nmake

Remove experimental marker from NEW_PACKET_LIST.

------------------------------------------------------------------------
r33720 | morriss | 2010-08-05 12:33:20 -0700 (Thu, 05 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sbus.c

Fix number of arguments to format
------------------------------------------------------------------------
r33721 | wmeier | 2010-08-05 15:14:16 -0700 (Thu, 05 Aug 2010) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/service_response_time_table.c

From Cal Turney: Need 6 dec places of SRT precision in WS SRT dialogs and the values should be rounded to the nearest 1us.

From me: 
 -Slight revision of the patch to prevent overflows 
   when time_t is 32 bits (eg: on 32 bit Linux);
 -Other minor changes.

See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4956

------------------------------------------------------------------------
r33722 | wmeier | 2010-08-05 15:27:17 -0700 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/rpc_progs.c

(Trivial) Define rpcprogs_packet() as returning gboolean; Whitespace cleanup.

------------------------------------------------------------------------
r33723 | wmeier | 2010-08-05 15:34:59 -0700 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/service_response_time_table.c

(Trivial) Whitespace cleanup.

------------------------------------------------------------------------
r33724 | wmeier | 2010-08-06 05:46:56 -0700 (Fri, 06 Aug 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacnet.c

Move proto_item_set_len() outside of an if statement so NPDU length is properly set;
Also: 'if (check_col())' no longer required;
      Minor revision of some comments;
      Whitespace cleanup;

------------------------------------------------------------------------
r33725 | wmeier | 2010-08-06 07:34:14 -0700 (Fri, 06 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtsp.c

From John Sullivan: Fix for 'Uninitialised pointer in packet-rtsp.c causes crash'
See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5081

------------------------------------------------------------------------
r33726 | jake | 2010-08-06 10:46:27 -0700 (Fri, 06 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

From Tan Kean Siong:
Dissect the SMB Tree_Connect_Andx Request and Response properly with
extension request and response which are documented in [MS-SMB] — v20100711

------------------------------------------------------------------------
r33727 | jake | 2010-08-06 10:52:59 -0700 (Fri, 06 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-synergy.c

From Jay Crisman:
I have attached a very simple patch to add the 'calv' packet type.

------------------------------------------------------------------------
r33728 | stig | 2010-08-07 02:44:54 -0700 (Sat, 07 Aug 2010) | 3 lines
Changed paths:
   M /trunk/wiretap/pcap-common.c

From Jon Smirl:
Added "IEEE 802.15.4 Wireless PAN no fcs".

------------------------------------------------------------------------
r33729 | etxrab | 2010-08-07 07:37:37 -0700 (Sat, 07 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_gui.c
   M /trunk/gtk/prefs_layout.c
   M /trunk/ui_util.h

From Cal Turney:
Optionally display Wireshark version in the main window's title bar.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5040
------------------------------------------------------------------------
r33730 | gerald | 2010-08-08 08:03:36 -0700 (Sun, 08 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-08-08]
------------------------------------------------------------------------
r33734 | etxrab | 2010-08-08 09:42:57 -0700 (Sun, 08 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slowprotocols.c

From Roberto Morro:
Added support for Organization Specific Slow Protocol (OSSP)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4966
------------------------------------------------------------------------
r33735 | stig | 2010-08-08 12:04:35 -0700 (Sun, 08 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-tvbuff.c

Protect tvb_* functions in a TRY-CATCH block.

This fixes bug 5087.

------------------------------------------------------------------------
r33736 | guy | 2010-08-08 14:04:42 -0700 (Sun, 08 Aug 2010) | 4 lines
Changed paths:
   M /trunk/packaging/macosx/Read_me_first.rtf

Don't speak of XQuartz - at least one person thought we meant that you
had to install XQuartz from Mac OS X Forge, rather than just installing
the X11 that comes with OS X.

------------------------------------------------------------------------
r33739 | guy | 2010-08-08 14:26:39 -0700 (Sun, 08 Aug 2010) | 15 lines
Changed paths:
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/main.c

Don't set the icon name:

	1) the GTK+ documentation recommends against it;

	2) the X11 implementation of gtk_window_set_title() sets the
	   icon name to the title, so gdk_window_set_icon_name() doesn't
	   do anything interesting, and the Win32 and Quartz
	   implementations of gdk_window_set_icon_name() don't do
	   anything;

	3) gdk_window_set_icon_name() either crashes or complains if
	   it's handed a null pointer, which happens at startup.

Clean up indentation.

------------------------------------------------------------------------
r33740 | guy | 2010-08-08 14:38:36 -0700 (Sun, 08 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

You can't free a string constant.

------------------------------------------------------------------------
r33741 | guy | 2010-08-08 16:32:40 -0700 (Sun, 08 Aug 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/netxray.c

Add a note.

------------------------------------------------------------------------
r33742 | stig | 2010-08-09 04:19:15 -0700 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Make it compile without HAVE_C_ARES and HAVE_GETHOSTBYNAME2.

------------------------------------------------------------------------
r33743 | etxrab | 2010-08-09 09:16:58 -0700 (Mon, 09 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Update the experimental code to use the UI manager.
------------------------------------------------------------------------
r33744 | etxrab | 2010-08-09 09:17:45 -0700 (Mon, 09 Aug 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add AVP:s
------------------------------------------------------------------------
r33745 | sfisher | 2010-08-09 09:50:08 -0700 (Mon, 09 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nt-sonmp.c

Update to latest device descriptions
------------------------------------------------------------------------
r33746 | sfisher | 2010-08-09 09:53:44 -0700 (Mon, 09 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nt-sonmp.c

Fix typo in my last commit that broke compilation
------------------------------------------------------------------------
r33747 | wmeier | 2010-08-09 11:20:07 -0700 (Mon, 09 Aug 2010) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-bacapp.c

From Herbert Lischka: "corrected the dissection of reassembled UDP packets".
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5051

From me:
- Move proto_register... and proto_reg_handoff.. to the end of the file;
- Define a function as static;
- Minor reformatting and whitespace cleanup.

------------------------------------------------------------------------
r33748 | wmeier | 2010-08-09 11:40:12 -0700 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Fix a compile error.

------------------------------------------------------------------------
r33749 | wmeier | 2010-08-09 11:46:23 -0700 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Fix another compile error :(

------------------------------------------------------------------------
r33750 | wmeier | 2010-08-09 11:53:18 -0700 (Mon, 09 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Fix another compile error. 
(Note to self: take the time to read *all* the compiler error output before committing).

------------------------------------------------------------------------
r33751 | jake | 2010-08-09 12:28:09 -0700 (Mon, 09 Aug 2010) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcm.c

From David Aggeler:
- Finally, better reassembly using fragment_add_seq_next().
  The previous mode is still supported.
- Fixed sporadic decoding and export issues. Always decode 
  association negotiation, since performance check (tree==NULL)
  is now only in dissect_dcm_pdv_fragmented(). 
- Added one more PDV length check
- Show Association Headers as individual items
- Code cleanup. i.e. moved a few lookup functions to be closer 
  to the dissection.

------------------------------------------------------------------------
r33752 | gerald | 2010-08-09 15:54:03 -0700 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Future-proof a for loop.

------------------------------------------------------------------------
r33753 | guy | 2010-08-10 00:04:20 -0700 (Tue, 10 Aug 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h
   M /trunk/epan/dissectors/packet-smb2.c

Dissect SMB_FILE_ATTRIBUTES, when used as file attributes rather than
search attributes, as a 16-bit quantity, with only the bits specified by
section 2.2.1.2.4 of [MS-CIFS].  Use dissect_file_ext_attr() in all
cases where we're dissecting SMB_EXT_FILE_ATTR, as specified by section
2.2.1.2.3 of [MS-CIFS].

------------------------------------------------------------------------
r33754 | stig | 2010-08-10 00:43:05 -0700 (Tue, 10 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_proto.c

Declare error as volatile to avoid warning on opensolaris:
variable 'error' might be clobbered by `longjmp' or `vfork'

------------------------------------------------------------------------
r33757 | etxrab | 2010-08-10 04:08:18 -0700 (Tue, 10 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c

- Fix a crash when an entry in the popup menue is selected and there
are no epert info entries.
- Updates to GUManager code(still incomplete).
------------------------------------------------------------------------
r33758 | etxrab | 2010-08-10 04:36:18 -0700 (Tue, 10 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/main.c

From Cal Turney:
Remember folder of capture selected from Welcome screen file dialog.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5038
------------------------------------------------------------------------
r33759 | etxrab | 2010-08-10 05:54:23 -0700 (Tue, 10 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/main.c

Use g_snprintf isf strncpy.
------------------------------------------------------------------------
r33760 | stig | 2010-08-10 06:19:31 -0700 (Tue, 10 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Fixed warning: format not a string literal and no format arguments.

------------------------------------------------------------------------
r33761 | etxrab | 2010-08-10 08:47:29 -0700 (Tue, 10 Aug 2010) | 4 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Switch to GtkUIManager in stead of the deprecated GtkItemFactory.

In case of problems switch back by removing the line: 
#define USE_GUIMANAGER 1
------------------------------------------------------------------------
r33762 | stig | 2010-08-10 14:16:41 -0700 (Tue, 10 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

From Cal Turney via bug 5038:
Fix for bug introduced in revision 33759.

------------------------------------------------------------------------
r33763 | etxrab | 2010-08-11 04:02:59 -0700 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Fix a typo
------------------------------------------------------------------------
r33764 | etxrab | 2010-08-11 04:33:40 -0700 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Add a komment about the format of the MSRP path parameter.
------------------------------------------------------------------------
r33765 | etxrab | 2010-08-11 04:43:04 -0700 (Wed, 11 Aug 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Herbert Lischka:
Resolves problems reported in bug #5090
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5090

I have 3 potentially risks of endless loop eliminated
the rest is cosmetic
------------------------------------------------------------------------
r33766 | etxrab | 2010-08-11 04:54:25 -0700 (Wed, 11 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Aamer Akhter:
NetFlow forwarding status and template fixes.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5083
------------------------------------------------------------------------
r33767 | etxrab | 2010-08-11 04:59:47 -0700 (Wed, 11 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_ipa.c

From Holger Freyther:
packet-gsm_ipa.c: Decode MGCP that is encapsulated inside the stream.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5068
------------------------------------------------------------------------
r33768 | etxrab | 2010-08-11 05:07:25 -0700 (Wed, 11 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c

From Frank Schorr:
NetrLogonControl2 - Control_data_information "name" not being decoded.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5071
------------------------------------------------------------------------
r33769 | etxrab | 2010-08-11 05:13:24 -0700 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c

Remove redundant chek_col.
------------------------------------------------------------------------
r33770 | stig | 2010-08-11 05:30:33 -0700 (Wed, 11 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c

Make it compile.

------------------------------------------------------------------------
r33771 | morriss | 2010-08-11 06:42:28 -0700 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Remove non-ASCII characters.
------------------------------------------------------------------------
r33772 | wmeier | 2010-08-11 09:42:21 -0700 (Wed, 11 Aug 2010) | 6 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

Remove 1K line limit when saving a flow graph to a file;
(Refactor code to write directly to file instead of first storing data
 in an array of fixed size).

Fixes Bug #5101: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5101

------------------------------------------------------------------------
r33773 | jake | 2010-08-11 14:23:49 -0700 (Wed, 11 Aug 2010) | 2 lines
Changed paths:
   M /trunk/print.c
   M /trunk/print.ps

Change font for packet information from Courier to Monaco.

------------------------------------------------------------------------
r33774 | stig | 2010-08-11 14:27:35 -0700 (Wed, 11 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Added check for valid tvb before calling tvb_length().

------------------------------------------------------------------------
r33775 | stig | 2010-08-11 14:37:04 -0700 (Wed, 11 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h264.c

Call tvb_get_bits32() if leading_zero_bits > 16.

------------------------------------------------------------------------
r33776 | etxrab | 2010-08-11 14:39:22 -0700 (Wed, 11 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Add a warning message if H264 profile-level-id parameter wasn't
posible to parse.
------------------------------------------------------------------------
r33777 | etxrab | 2010-08-11 14:52:35 -0700 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Update the comment.
------------------------------------------------------------------------
r33778 | etxrab | 2010-08-11 14:56:19 -0700 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h264.c

Do DISSECTOR_ASSERT_NOT_REACHED(); if golmb coded data is > 32 bits.
------------------------------------------------------------------------
r33779 | wmeier | 2010-08-11 18:54:10 -0700 (Wed, 11 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/flow_graph.c

Fix two memory leaks;
(Various other minor cleanup: whitespace, formatting, etc).

------------------------------------------------------------------------
r33780 | stig | 2010-08-11 23:26:21 -0700 (Wed, 11 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

From Chris Maynard via bug 5105:
IP should not compute the header checksum if within an error packet
such as ICMP.

------------------------------------------------------------------------
r33781 | stig | 2010-08-12 00:05:32 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/packaging/svr4

Prototype is generated.

------------------------------------------------------------------------
r33782 | martinm | 2010-08-12 01:53:08 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix a duplicate/copy-pasted filter field name.

------------------------------------------------------------------------
r33783 | martinm | 2010-08-12 02:03:05 -0700 (Thu, 12 Aug 2010) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

From Pascal Quantin:

The decoder expects to do not have any extra byte after the RAR bodies.

But according to 3GPP 36.321 8.8.0 chapter 6.1.5, the eNodeB is allowed to put padding at the end of the RAR PDU:

" A MAC PDU consists of a MAC header and zero or more MAC Random Access Responses (MAC RAR) and optionally padding as described in figure 6.1.5-4.
[...]

Padding may occur after the last MAC RAR. Presence and length of padding is implicit based on TB size, size of MAC header and number of RARs."

------------------------------------------------------------------------
r33784 | stig | 2010-08-12 07:09:08 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Added support for RFC5482: User Timeout Option.

------------------------------------------------------------------------
r33785 | martinm | 2010-08-12 08:30:56 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Improve the way the encoded FP variant is interpreted.

------------------------------------------------------------------------
r33786 | wmeier | 2010-08-12 08:47:31 -0700 (Thu, 12 Aug 2010) | 5 lines
Changed paths:
   M /trunk/plugins/unistim/Makefile.common
   M /trunk/plugins/unistim/packet-unistim.c

From Don Newton: Added dissection of Expansion Module (KEM,GEM) messages to Unistim plugin.

From me: Add expansion.h to list of .h files in Makefile.common;
         #include <stdio.h> not required.

------------------------------------------------------------------------
r33787 | wmeier | 2010-08-12 08:58:01 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   A /trunk/plugins/unistim/expansion.h

Add new expansion.h file left out of the previous commit.

------------------------------------------------------------------------
r33788 | wmeier | 2010-08-12 09:27:16 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/plugins/unistim/packet-unistim.c

(Trivial) Use consistent indentation; Whitespace cleanup.

------------------------------------------------------------------------
r33789 | jake | 2010-08-12 09:39:29 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zrtp.c

Update ZRTP dissector to draft-22.

------------------------------------------------------------------------
r33790 | wmeier | 2010-08-12 13:05:41 -0700 (Thu, 12 Aug 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Remove an incorrect line of code from the proto_reg_hanoff prototype.

------------------------------------------------------------------------
r33791 | guy | 2010-08-13 00:39:46 -0700 (Fri, 13 Aug 2010) | 30 lines
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/filter_utils.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/find_dlg.h
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/proto_hier_stats.c

Instead of using a Boolean for the search direction, use an enum, so
that you can tell from examination whether the search is forward or
backward.

Make the cf_find_packet routines take the direction as an explicit
argument, rather than, in the cases where you don't want to permanently
set the direction, saving the direction in the capture_file structure,
changing it, doing the search, and restoring the saved direction.  Give
more information in the Doxygen comments for those routines.

Add a cf_find_packet_dfilter_string() routine, which takes a filter
string rather than a compiled filter as an argument.  Replace
find_previous_next_frame_with_filter() with it.

Have cf_read_frame_r() and cf_read_frame() pop up the error dialog if
the read fails, rather than leaving that up to its caller.  That lets us
eliminate cf_read_error_message(), by swallowing its code into
cf_read_frame_r().  Add Doxygen comments for cf_read_frame_r() and
cf_read_frame().

Don't have find_packet() read the packet before calling the callback
routine; leave that up to the callback routine.

Add cf_find_packet_marked(), to find the next or previous marked packet,
and cf_find_packet_time_reference(), to find the next or previous time
reference packet.  Those routines do *not* need to read the packet data
to see if it matches; that lets them run much faster.

Clean up indentation.

------------------------------------------------------------------------
r33792 | guy | 2010-08-13 01:13:23 -0700 (Fri, 13 Aug 2010) | 4 lines
Changed paths:
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_win.c
   M /trunk/proto_hier_stats.c

Get rid of some no-longer-necessary includes of simple_dialog.h (now
that cf_read_frame() and cf_read_frame_r() pop up an alert box on an
error, its callers no longer do so).

------------------------------------------------------------------------
r33793 | stig | 2010-08-13 04:18:44 -0700 (Fri, 13 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/wslua/init_wslua.c

Do not load lua-scripts starting with '.'

------------------------------------------------------------------------
r33794 | etxrab | 2010-08-13 04:57:18 -0700 (Fri, 13 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Add missing break, should fix bug
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5110
------------------------------------------------------------------------
r33795 | etxrab | 2010-08-13 06:04:52 -0700 (Fri, 13 Aug 2010) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

From Rick:
Update dictionary.xml for Gx Enum.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5107
------------------------------------------------------------------------
r33796 | gerald | 2010-08-13 14:03:29 -0700 (Fri, 13 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/drag_and_drop.h

Fix module names.

------------------------------------------------------------------------
r33797 | gerald | 2010-08-13 14:21:28 -0700 (Fri, 13 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

Convert our argument list to UTF-8 at startup on Windows. This lets us
double-click on files with non-Latin characters, e.g. "0_αßΓπ∟σµ.cap".

------------------------------------------------------------------------
r33798 | etxrab | 2010-08-14 09:42:41 -0700 (Sat, 14 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Fix up decoding of bitfields in the aligned variant.
------------------------------------------------------------------------
r33799 | stig | 2010-08-14 10:22:22 -0700 (Sat, 14 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Fixed guint64 printf modifier.

------------------------------------------------------------------------
r33800 | stig | 2010-08-14 10:24:21 -0700 (Sat, 14 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

Added proto_item_prepend_text().

------------------------------------------------------------------------
r33801 | gerald | 2010-08-15 08:03:33 -0700 (Sun, 15 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-08-15]
------------------------------------------------------------------------
r33802 | wmeier | 2010-08-15 08:17:48 -0700 (Sun, 15 Aug 2010) | 2 lines
Changed paths:
   M /trunk/file.c

Fix compilation error when compiling for "old packet list".

------------------------------------------------------------------------
r33806 | etxrab | 2010-08-15 22:34:12 -0700 (Sun, 15 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-erf.c
   M /trunk/epan/dissectors/packet-erf.h

From Stephen Donnelly:
Add BFS extension header decoding to ERF dissector.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5113
------------------------------------------------------------------------
r33807 | etxrab | 2010-08-15 22:42:01 -0700 (Sun, 15 Aug 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sbus.c

From Christian Durrer:
- Support for extended packet size for read/write block telegrams
- Added expert info for bad CRC, telegram retries and NAK responses
- Removed amount of retries which has not been displayed correctly
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5088
------------------------------------------------------------------------
r33808 | etxrab | 2010-08-15 22:48:40 -0700 (Sun, 15 Aug 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

From Slava:
This patch adds to the Infiniband dissector the ability to dissect EoIB
(Ethernet-over-Infiniband) traffic which uses Mellanox Technologies Ltd's
standard for encapsulating Ethernet traffic inside Infiniband packets.

This patch is submitted on behalf of Mellanox Technologies Ltd.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5061
------------------------------------------------------------------------
r33809 | stig | 2010-08-16 02:11:01 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/rtse/rtse.cnf
   M /trunk/epan/dissectors/packet-rtse.c

Added Info for RTTPapdu.

------------------------------------------------------------------------
r33810 | stig | 2010-08-16 02:12:39 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/asn1.h

Removed some TAB's.

------------------------------------------------------------------------
r33811 | etxrab | 2010-08-16 08:13:54 -0700 (Mon, 16 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/tvbuff.c

From rodebiet:
tvb_get_bits32 produces malformed_packet if no_of_bits < 25 and tvb remaining = 3
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5080
------------------------------------------------------------------------
r33812 | martinm | 2010-08-16 08:14:01 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Set length of 'PDU Block Header' subtrees.

------------------------------------------------------------------------
r33813 | etxrab | 2010-08-16 08:31:13 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Typo - wrong IE code for APN aggregate maximum bit rate in message
 Activate default EPS bearer context request.
------------------------------------------------------------------------
r33814 | guy | 2010-08-16 10:19:15 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Clean up indentation.

------------------------------------------------------------------------
r33815 | sfisher | 2010-08-16 10:19:42 -0700 (Mon, 16 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-llc.c
   A /trunk/epan/dissectors/packet-ndp.c (from /trunk/epan/dissectors/packet-nt-sonmp.c:33812)
   M /trunk/epan/dissectors/packet-nt-oui.c
   D /trunk/epan/dissectors/packet-nt-sonmp.c
   M /trunk/epan/prefs.c
   M /trunk/wka.tmpl

Modernize the SONMP ("SynOptics Network Management Protocol") dissector by renaming it to NDP ("Nortel Discovery Protocol") and do some basic cleanup.
------------------------------------------------------------------------
r33816 | gerald | 2010-08-16 10:53:43 -0700 (Mon, 16 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/utf8_entities.h

Don't drop characters in the middle of a UTF-8 sequence. Fixes bug 5066.
Use an ellipsis character instead of three dots.

------------------------------------------------------------------------
r33817 | etxrab | 2010-08-16 11:17:45 -0700 (Mon, 16 Aug 2010) | 11 lines
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h

From Cal Turney:
1. Restore the functionality of <Ctrl>A and <Ctrl>X to the filter textbox.  
2. Assign intuitive shortcuts without consuming any new shortcut letters.  
3. Add 'Un-Time Reference All Packets' to the menu.
4. Disallow the marking or ignoring of all packets in the capture.  
5. Make the Mark/Ignore/Time Reference-related menu items context sensitive. 
6. Add 'ref_time_count' to the capture_file structure
7. Utilize marked/ignored/ref_time_count vars to prevent needless looping thru
   the entire packet list by exiting the loop when it becomes zero.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5115
------------------------------------------------------------------------
r33818 | gerald | 2010-08-16 11:32:27 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Fix compilation on Windows.

------------------------------------------------------------------------
r33819 | gerald | 2010-08-16 11:58:24 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Fix an include.

------------------------------------------------------------------------
r33820 | sfisher | 2010-08-16 14:41:29 -0700 (Mon, 16 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

Fix display of Client's FQDN and clear up the confusion with the S, O and N bits from the RFC descriptions.
------------------------------------------------------------------------
r33821 | sfisher | 2010-08-16 15:01:12 -0700 (Mon, 16 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ndp.c

Change the protocol name from "Nortel NDP" to "Nortel Discovery Protocol" in the protocol registration.
------------------------------------------------------------------------
r33822 | sfisher | 2010-08-16 15:28:23 -0700 (Mon, 16 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icmp.c

Clarify that the "Sequence number" is given in big endian representation and the "Sequence number (LE)" is little endian.
------------------------------------------------------------------------
r33823 | guy | 2010-08-16 16:26:36 -0700 (Mon, 16 Aug 2010) | 16 lines
Changed paths:
   M /trunk/gtk/menus.c

No need to have the same separator line twice, once with the new packet
list and once with the old packet list.

Have Boolean variables for some of the predicates in
set_menus_for_selected_packet(), to clarify what they're testing.

Clean up indentation.

Add some comments for various issues.

(FYI, what "Restore the functionality of <Ctrl>A and <Ctrl>X to the
filter textbox." means, in the comment for the previous checkin, "don't
use <Ctrl>A or <Ctrl>X for our own purposes, so they work the same way
they do in other applications using GTK+"; the checkin changed some menu
items not to use <Ctrl>A and <Ctrl>X as accelerators.)

------------------------------------------------------------------------
r33824 | wmeier | 2010-08-16 17:51:44 -0700 (Mon, 16 Aug 2010) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-fcgi.c

From Tom Hughes: FastCGI dissector.

See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5067

From me: - Fix one bug;
         - Add a comment about some code which doesn't display info
            in COL_INFO as intended due to what seems to be a Wireshark bug in 
            tcp_dissect_pdus() when there are multiple records in a 
            TCP frame.

------------------------------------------------------------------------
r33825 | wmeier | 2010-08-16 18:01:48 -0700 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcgi.c

Fix two typos/bugs (introduced by me in the previous commit).

------------------------------------------------------------------------
r33826 | guy | 2010-08-16 18:36:53 -0700 (Mon, 16 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/menus.c

Discourage people from stealing <control> keystrokes that have somewhat
standard meanings for anything other than those standard purposes.

------------------------------------------------------------------------
r33827 | jmayer | 2010-08-17 00:00:58 -0700 (Tue, 17 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/CMakeLists.txt

Commit 33815 renamed packet-nt-sonmp.c to packet-ndp.c
------------------------------------------------------------------------
r33828 | wmeier | 2010-08-17 06:44:12 -0700 (Tue, 17 Aug 2010) | 4 lines
Changed paths:
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/filter_dlg.h
   M /trunk/gtk/find_dlg.c

Minor changes related to signal callback functions:
- all: filter_te_syntax_check_cb should have an (unused) 'gpointer user_data' arg;
- filter_dlg.c: filter_sel_list_cb user_data arg is unused;

------------------------------------------------------------------------
r33829 | wmeier | 2010-08-17 06:59:15 -0700 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c

(Trivial) window_delete_event_cb() 'user_data' arg is unused ...

------------------------------------------------------------------------
r33830 | wmeier | 2010-08-17 07:01:33 -0700 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/capture_info_dlg.c

(Trivial) Reword comments about callback function signatures.

------------------------------------------------------------------------
r33831 | martinm | 2010-08-17 09:12:29 -0700 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.h

Change a channel type #define to be contiguous with others.

------------------------------------------------------------------------
r33832 | dimeg | 2010-08-17 14:35:26 -0700 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssap.c

The Mobile Status msg in BSSAP+ has IMSI as first possible IE

------------------------------------------------------------------------
r33833 | dimeg | 2010-08-17 15:48:39 -0700 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c
   M /trunk/epan/dissectors/packet-q708.c

Updates due to ITU Operational Bulletins 956 and 957

------------------------------------------------------------------------
r33834 | wmeier | 2010-08-17 17:04:53 -0700 (Tue, 17 Aug 2010) | 10 lines
Changed paths:
   M /trunk/gtk/iax2_analysis.c

Minor cleanup of iax2 graph:
- Display current value in combo boxes (pixels_per_tick, etc) to always
  match actual values being used to create graph;
- yscale combo box entries: 
   show ms values as ms (not x000 usecs);
   show us values with unit "us" (not "ms");
- Determine max yscale label width properly as the largest of the
  top or middle label lengths;
- Cleanup some indentation.

------------------------------------------------------------------------
r33835 | wmeier | 2010-08-17 18:01:06 -0700 (Tue, 17 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/iax2_analysis.c

Various minor cleanups....

------------------------------------------------------------------------
r33836 | etxrab | 2010-08-18 00:48:37 -0700 (Wed, 18 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c

From Cal Turney:
Restores Mark All Displayed item when all packets are displayed.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5115
------------------------------------------------------------------------
r33838 | etxrab | 2010-08-18 01:09:37 -0700 (Wed, 18 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Fix indentation.
------------------------------------------------------------------------
r33839 | martinm | 2010-08-18 03:33:54 -0700 (Wed, 18 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Show IPv6 addresses in ipprim summary line.

------------------------------------------------------------------------
r33840 | martinm | 2010-08-18 03:47:21 -0700 (Wed, 18 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Fix ipprim IPv6 port number offsets.

------------------------------------------------------------------------
r33841 | morriss | 2010-08-18 12:11:07 -0700 (Wed, 18 Aug 2010) | 7 lines
Changed paths:
   M /trunk/gtk/main.c

main_cf_cb_file_read_finished(): use get_dirname() to get the directory of the
current file name.

This fixes a crash after failing to allocate some massive number of bytes if
the file name did not contain a path--which is the case when doing
"wireshark -r myfile.pcap".

------------------------------------------------------------------------
r33842 | dimeg | 2010-08-18 14:12:26 -0700 (Wed, 18 Aug 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zbee-nwk.c

Fix for Bug 5052:
Good ZigBee Beacon detected as malformed

In ZigBee 2006 the Tx-Offset is optional, while in the 2007 and
later versions, the Tx-Offset is a required value. Since both 2006 and
and 2007 versions have the same protocol version (2), we should treat
the Tx-Offset as well as the update ID as optional elements

------------------------------------------------------------------------
r33843 | wmeier | 2010-08-18 15:20:01 -0700 (Wed, 18 Aug 2010) | 10 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Various minor cleanup:
 - Non-event signal callback functions should return void;
 - Event signal callback had missing 'user_data' arg;
 - Rename various symbols for clarity;
 - Rename local functions with names of form gtk_...;
 - Use gboolean where appropriate;
 - Remove all 'exit(10)' statements;
 - Whitespace;
 - ...

------------------------------------------------------------------------
r33844 | wmeier | 2010-08-18 17:09:56 -0700 (Wed, 18 Aug 2010) | 4 lines
Changed paths:
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_comp_dlg.h
   M /trunk/gtk/main_statusbar.c

Use correct signature for "button-press-event" callback function;
Whitespace cleanup;
Use gboolean as appropriate; 

------------------------------------------------------------------------
r33845 | guy | 2010-08-18 17:14:07 -0700 (Wed, 18 Aug 2010) | 6 lines
Changed paths:
   M /trunk/gtk/menus.c

Add placeholder items for ^Z as Edit->Undo, shift-^Z as Edit->Redo,
and ^A as Edit->Select All.

Add more details about implementing Undo/Redo/Cut/Copy/Paste/Select All
in the comment for the placeholder items.

------------------------------------------------------------------------
r33846 | morriss | 2010-08-18 19:17:01 -0700 (Wed, 18 Aug 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5114 (infinite loop in
bootp dissector when dissecting packetcable MTA capabilities).

Limit the tlv_len to G_MAXUINT16 to prevent an integer overflow from causing us to
increment the working offset by 0 (thus causing us to loop).

------------------------------------------------------------------------
r33849 | wmeier | 2010-08-19 08:02:23 -0700 (Thu, 19 Aug 2010) | 6 lines
Changed paths:
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/main_welcome.c

Use proper signatures for event callback functions:
   EG: Non-event signal callback functions shouldn't
   be directly used as event callback functions.
Replace use of deprecated "GtkSignalFunc";
Whitespace cleanup.

------------------------------------------------------------------------
r33850 | wmeier | 2010-08-19 08:22:03 -0700 (Thu, 19 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h

Fix gcc compile errors....

------------------------------------------------------------------------
r33851 | etxrab | 2010-08-19 12:05:11 -0700 (Thu, 19 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/conversations_table.c

Switch over to use the GUIManager(can be turned of by a #define).
------------------------------------------------------------------------
r33852 | etxrab | 2010-08-19 12:05:56 -0700 (Thu, 19 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Use better naming.
------------------------------------------------------------------------
r33853 | stig | 2010-08-19 13:11:28 -0700 (Thu, 19 Aug 2010) | 4 lines
Changed paths:
   M /trunk/gtk/conversations_table.c

Fixed the popup menu table:
- Added missing NULL initializers
- Fixed some typos in the menu items

------------------------------------------------------------------------
r33854 | wmeier | 2010-08-19 14:51:35 -0700 (Thu, 19 Aug 2010) | 6 lines
Changed paths:
   M /trunk/gtk/iax2_analysis.c

Fix two bugs related to use of the graph Y-Axis Scale combo-box:
1. Incorrect specification of units: Should be ms & s not us and ms;
   Bug introduced in SVN #33834.
2. Selecting 50ms as the yscale actually used 50us as the scale;
   Bug introduced in SVN #30543.

------------------------------------------------------------------------
r33855 | wmeier | 2010-08-19 15:04:37 -0700 (Thu, 19 Aug 2010) | 9 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

 Minor cleanup of rtp graph:
 - Display current value in combo boxes (pixels_per_tick, etc) to always
   match actual values being used to create graph;
 - yscale combo box entries: 
    show values >= 1 sec as sec (not s000 ms);
 - Determine max yscale label width properly as the largest of the
   top or middle label lengths;
 - Cleanup some indentation.

------------------------------------------------------------------------
r33856 | etxrab | 2010-08-20 04:54:18 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Switch wlan_stat_dlg to use GUIManager step 1.
------------------------------------------------------------------------
r33857 | etxrab | 2010-08-20 04:56:44 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/conversations_table.c

Fix indentation.
------------------------------------------------------------------------
r33858 | etxrab | 2010-08-20 04:57:20 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Remove a comment.
------------------------------------------------------------------------
r33859 | stig | 2010-08-20 05:05:44 -0700 (Fri, 20 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Use defined functions.

------------------------------------------------------------------------
r33860 | etxrab | 2010-08-20 07:19:06 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Switch wlan_stat_dlg to use GUIManager step 2.
------------------------------------------------------------------------
r33862 | morriss | 2010-08-20 12:41:35 -0700 (Fri, 20 Aug 2010) | 5 lines
Changed paths:
   M /trunk/diameter/dictionary.dtd
   M /trunk/diameter/mobileipv6.xml

From Kirill A. Korinskiy via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5122:

I try use diameters XML files as sources for my XSL transform by xslt and found
some typos. I attach patch for fixing it.

------------------------------------------------------------------------
r33863 | morriss | 2010-08-20 14:56:52 -0700 (Fri, 20 Aug 2010) | 9 lines
Changed paths:
   M /trunk/gtk/main.c

From Turney Cal as a followup to rev 33841 and bug 5038:

I tested your update ("wireshark -r foo.pcap" from a cmd window) and 
found that it did not use the current folder for the next Open dialog 
and didn't save the folder in recent.  The attached patch prepends the
filename with the current folder.

From me: don't leak memory when doing it.

------------------------------------------------------------------------
r33864 | morriss | 2010-08-20 15:12:55 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/gui_utils.c

Don't leak the memory used by the original title when we're appending the version to it.
------------------------------------------------------------------------
r33865 | morriss | 2010-08-20 15:13:46 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/fileset.c

When freeing the fileset entries, free the entry itself too.
------------------------------------------------------------------------
r33866 | morriss | 2010-08-20 15:15:07 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/main_welcome.c

Free the err_str from capture_interface_list() even if the error isn't CANT_GET_INTERFACE_LIST.
------------------------------------------------------------------------
r33870 | gerald | 2010-08-20 17:19:32 -0700 (Fri, 20 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

If we have something that looks like a stateless autoconfiguration
address, add the corresponding MAC address to the tree.

------------------------------------------------------------------------
r33871 | morriss | 2010-08-20 20:31:30 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/column-utils.h

Remove duplicate definition of COL_MAX_LEN and COL_MAX_INFO_LEN: apparently no one needs them in this file (probably because they're marked as "don't use").  Now they are only defined in column_info.h .
------------------------------------------------------------------------
r33872 | morriss | 2010-08-20 20:44:36 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

prefs_register_string_preference() overwrites the given value pointer with a copy of the string.  Since the string this dissector passes in is mallocated, keep a pointer to it and then free it after the pointer has been overwritten.
------------------------------------------------------------------------
r33873 | morriss | 2010-08-20 20:54:55 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Document what prefs_register_string_preference() does with your value pointer.
------------------------------------------------------------------------
r33874 | morriss | 2010-08-20 21:26:26 -0700 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/prefs.c

Add some code to prefs_cleanup() to free (most of the) memory associated with the preferences.  This only happens during shutdown so it's not fixing a memory leak, but it makes me more comfortable to know where the preferences memory is freed.
------------------------------------------------------------------------
r33875 | wmeier | 2010-08-21 06:21:35 -0700 (Sat, 21 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/gtkvumeter.c
   M /trunk/gtk/gtkvumeter.h

Use GType instead of deprecated GtkType

------------------------------------------------------------------------
r33876 | wmeier | 2010-08-21 06:48:52 -0700 (Sat, 21 Aug 2010) | 2 lines
Changed paths:
   M /trunk/config.h.win32

New packet list is no longer experimental.

------------------------------------------------------------------------
r33877 | gerald | 2010-08-21 09:38:13 -0700 (Sat, 21 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_welcome.c

Initialize a variable before we try to free it.

------------------------------------------------------------------------
r33878 | gerald | 2010-08-21 10:45:03 -0700 (Sat, 21 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Add a "summary in tree" option similar to v4.

------------------------------------------------------------------------
r33880 | gerald | 2010-08-21 17:41:06 -0700 (Sat, 21 Aug 2010) | 2 lines
Changed paths:
   M /trunk/packaging/portableapps/win32/makenmake.pl

Add !ENDIF if needed.

------------------------------------------------------------------------
r33881 | gerald | 2010-08-22 08:03:30 -0700 (Sun, 22 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-08-22]
------------------------------------------------------------------------
r33887 | stig | 2010-08-23 02:17:03 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zbee-zcl.c

Fix for attribute boolean, from bug 5127.

------------------------------------------------------------------------
r33888 | wmeier | 2010-08-23 07:08:35 -0700 (Mon, 23 Aug 2010) | 22 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

new_packet_list_column_button_pressed_cb(): return gboolean (not void): it's an event callback;
Note:
 the original code:
   static void new_packet_list_column_button_pressed_cb() {
     ...
     packet_list_popup(...);
     }
 the revised code:
   static gboolean new_packet_list_column_button_pressed_cb() {
     ...
     return packet_list_popup(...);
     }

 My guess is that the original code happened to work 
 on some?/all? supported platforms depending upon the actual
 details of the generated calling_sequence/return code.
---------------
Also: 
- new_packet_list_column_button_pressed_cb(): 'path' arg is unused;
- new_packet_list_double_click_cb(): user_data arg is unused so 
  don't supply same in the g_signal_connect.

------------------------------------------------------------------------
r33889 | wmeier | 2010-08-23 07:36:01 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

(Trivial) Whitespace cleanup.

------------------------------------------------------------------------
r33890 | wmeier | 2010-08-23 08:58:48 -0700 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/color_edit_dlg.c
   M /trunk/gtk/compare_stat.c
   M /trunk/gtk/filter_autocomplete.c
   M /trunk/gtk/gtkvumeter.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/prefs_gui.c
   M /trunk/gtk/progress_dlg.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/service_response_time_table.c

(Trivial/Cosmetic) Fix signatures of some signal callback functions;
Also:Add some missing G_CALLBACKs (even in commented out code)

------------------------------------------------------------------------
r33891 | morriss | 2010-08-23 09:18:06 -0700 (Mon, 23 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Remove #if 0'd out code (dfilter_combo_add_empty()).
------------------------------------------------------------------------
r33892 | wmeier | 2010-08-23 09:39:52 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/graph_analysis.h

(Trivial) Use consistent indentation.

------------------------------------------------------------------------
r33893 | wmeier | 2010-08-23 09:48:42 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

[Trivial] Use g_signal_connect() instead of g_signal_connect_data().

------------------------------------------------------------------------
r33894 | jake | 2010-08-23 11:16:22 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/config.guess
   M /trunk/config.sub

On request from Albert Chin:
Update libtoolize files
------------------------------------------------------------------------
r33895 | wmeier | 2010-08-23 12:29:08 -0700 (Mon, 23 Aug 2010) | 5 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_dlg.h
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/main_airpcap_toolbar.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/prefs_layout.c
   M /trunk/gtk/rpc_progs.c

(Minor) Cleanup signal callbak signatures and related:
- Don't mark callback arg as _U_ if actually used (and vice-versa);
- Use Null as user_data in g_signal_callback if unused in callback;
- Use correct signature for certain event callbacks.

------------------------------------------------------------------------
r33898 | sfisher | 2010-08-23 16:09:32 -0700 (Mon, 23 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-arp.c

The ARP hardware type and operation code are listed with the IANA in decimal notation, not hex.
------------------------------------------------------------------------
r33900 | gerald | 2010-08-23 17:24:44 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Display ISATAP encapsulated IPv4 addresses.

------------------------------------------------------------------------
r33901 | wmeier | 2010-08-23 17:25:50 -0700 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Use consistent indentation;
Fix a few @param comments.

------------------------------------------------------------------------
r33902 | etxrab | 2010-08-23 22:11:37 -0700 (Mon, 23 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Change the wording in the menu.
------------------------------------------------------------------------
r33903 | etxrab | 2010-08-23 22:38:49 -0700 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sbus.c

From Christian Durrer:
Not all Ether-S-Bus telegrams are recognized and displayed correctly.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5123
------------------------------------------------------------------------
r33904 | etxrab | 2010-08-23 22:44:55 -0700 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/wiretap/daintree-sna.c

From Hamish Moffatt:
 daintree-sna.c doesn't initialise capture_file snapshot_length.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5128
------------------------------------------------------------------------
r33905 | kukosa | 2010-08-23 22:53:17 -0700 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

- fix using hex values as constraint
- avoid crash if unknown type is used in type assignment
------------------------------------------------------------------------
r33906 | etxrab | 2010-08-23 23:15:40 -0700 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/capture.c

From Gregor Beck:
ERROR:capture.c:141:capture_start: assertion failed: (capture_opts->state == CAPTURE_STOPPED)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5126
------------------------------------------------------------------------
r33907 | etxrab | 2010-08-24 00:44:36 -0700 (Tue, 24 Aug 2010) | 1 line
Changed paths:
   M /trunk/asn1/rtse/rtse.asn
   M /trunk/asn1/rtse/rtse.cnf

Add Id.
------------------------------------------------------------------------
r33908 | stig | 2010-08-24 04:36:10 -0700 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/rtse/rtse.cnf
   M /trunk/epan/dissectors/packet-rtse.c

Indicate abort and abort-reason in info column.

------------------------------------------------------------------------
r33909 | wmeier | 2010-08-24 07:59:11 -0700 (Tue, 24 Aug 2010) | 12 lines
Changed paths:
   M /trunk/wiretap/daintree-sna.c

Fix issue which causes daintree-sna frames to be rejected with "capture length > packet length".

This fix adds back two lines of code removed in SVN #33678.

 "Define WTAP_ENCAP_IEEE802_15_4_NOFCS, for use in file formats that don't
  include the FCS, and use it for the Daintree SNA file format. [...]"

This fix just restores the discarding of two end-of-frame "pad" bytes as each frame is read
from the capture file; This seems to me to be the correct behaviour.



------------------------------------------------------------------------
r33910 | stig | 2010-08-24 08:08:07 -0700 (Tue, 24 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Display constructed octet strings with correct hf_id.
Show octet string fragments as for reassembly.

------------------------------------------------------------------------
r33911 | stig | 2010-08-24 08:09:11 -0700 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/epan/dissectors/packet-rtse.c

Display octet string fragments for RTSE segment data.

------------------------------------------------------------------------
r33912 | stig | 2010-08-24 08:43:32 -0700 (Tue, 24 Aug 2010) | 3 lines
Changed paths:
   M /trunk/asn1/cms/cms.cnf
   M /trunk/epan/dissectors/packet-cms.c

Rewrote to fetch content_tvb from dissect_ber_octet_string().
Display eContent entry (with length) in tree.

------------------------------------------------------------------------
r33913 | stig | 2010-08-24 08:46:33 -0700 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/cms/cms.cnf

Fix modifier in .cnf file.

------------------------------------------------------------------------
r33914 | stig | 2010-08-24 08:47:10 -0700 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x411/x411.cnf
   M /trunk/epan/dissectors/packet-x411.c

Display content entry (with length) in tree.

------------------------------------------------------------------------
r33915 | etxrab | 2010-08-24 13:03:33 -0700 (Tue, 24 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Make the expert filter popup behave as in filter_utils.
------------------------------------------------------------------------
r33916 | gerald | 2010-08-24 16:39:29 -0700 (Tue, 24 Aug 2010) | 5 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c

Partial fix for bug 5133. On Windows, call SetDllDirectory at startup if
it's present in Wireshark and dumpcap. This takes care of the airpcap.dll
PoC but we need to load wpcap.dll from a full path. We might want to
call SetDllDirectory from our other executables as well.

------------------------------------------------------------------------
r33917 | gerald | 2010-08-24 17:20:50 -0700 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix !Windows compilation.

------------------------------------------------------------------------
r33918 | martinm | 2010-08-25 06:01:00 -0700 (Wed, 25 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Show (again?) MAC-d PDUs inside MAC-es PDUs.

------------------------------------------------------------------------
r33919 | martinm | 2010-08-25 06:27:27 -0700 (Wed, 25 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Let DCT2000 tree extend to end of ipprim or sctpprim bytes.

------------------------------------------------------------------------
r33920 | kukosa | 2010-08-25 07:10:58 -0700 (Wed, 25 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Fix wrong length of CSeq Method parameter 
------------------------------------------------------------------------
r33921 | morriss | 2010-08-25 08:27:14 -0700 (Wed, 25 Aug 2010) | 1 line
Changed paths:
   M /trunk/config.nmake

Change PCAP_VERSION to 4.1.2.  Hopefully this will cause the U3/PortableApps builds to pick up WinPcap again.
------------------------------------------------------------------------
r33922 | morriss | 2010-08-25 08:28:26 -0700 (Wed, 25 Aug 2010) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake

Use PCAP_VERSION (from config.nmake) instead of hard coding the WinPcap version.
------------------------------------------------------------------------
r33923 | morriss | 2010-08-25 11:20:56 -0700 (Wed, 25 Aug 2010) | 1 line
Changed paths:
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh
   M /trunk/tools/win64-setup.sh

Update the WinPcap developer's pack to 4.1.2.  Update PCAP_VERSION to 4.1.2 on Win64 too (for consistency more than anything I think).
------------------------------------------------------------------------
r33924 | gerald | 2010-08-25 13:30:59 -0700 (Wed, 25 Aug 2010) | 6 lines
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/capture-wpcap.c
   M /trunk/capture_wpcap_packet.c
   M /trunk/config.nmake
   M /trunk/doc/README.capture
   M /trunk/epan/filesystem.c
   M /trunk/epan/wspython/wspy_libws.py
   M /trunk/gtk/main.c
   M /trunk/nio-ie5.c
   M /trunk/wsutil/file_util.c
   M /trunk/wsutil/file_util.h
   M /trunk/wsutil/libwsutil.def

Add ws_load_library and ws_module_open, which respectively call
LoadLibrary and g_module_open only for the program directory and system
directory on Windows. Use them to replace a bunch of LoadLibrary and
g_module_open calls. Use the extension ".dll" for all the DLLs that we
load. Add comments about DLL loading in Python.

------------------------------------------------------------------------
r33925 | gerald | 2010-08-25 15:41:26 -0700 (Wed, 25 Aug 2010) | 2 lines
Changed paths:
   M /trunk/wsutil/file_util.h

Move Windows-specific material inside an appropriate #ifdef.

------------------------------------------------------------------------
r33926 | etxrab | 2010-08-25 23:46:30 -0700 (Wed, 25 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/crypt/crypt-md5.h
   M /trunk/gtk/mcast_stream.h
   M /trunk/gtk/mcast_stream_dlg.h

- Try to fix a couple of doxygen comments. 
- whitspace changes.
------------------------------------------------------------------------
r33927 | etxrab | 2010-08-26 00:12:03 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/rtp_stream.h
   M /trunk/gtk/rtp_stream_dlg.h

- Try to fix a couple of doxygen comments.
------------------------------------------------------------------------
r33928 | stig | 2010-08-26 06:49:23 -0700 (Thu, 26 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-flip.c

From Juha Siltanen via bug 5144:
Added support for payload dissecting.

------------------------------------------------------------------------
r33929 | etxrab | 2010-08-26 08:02:27 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/about_dlg.h
   M /trunk/gtk/dlg_utils.h
   M /trunk/gtk/expert_comp_table.h
   M /trunk/gtk/file_dlg_win32.h
   M /trunk/gtk/filter_autocomplete.h
   M /trunk/gtk/filter_dlg.h
   M /trunk/gtk/gui_stat_menu.h
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/main.h
   M /trunk/gtk/main_packet_list.h
   M /trunk/gtk/main_proto_draw.h
   M /trunk/gtk/prefs_dlg.h
   M /trunk/gtk/profile_dlg.h
   M /trunk/gtk/proto_help.h
   M /trunk/simple_dialog.h

Fix a number of doxygen directives.
------------------------------------------------------------------------
r33930 | etxrab | 2010-08-26 08:24:49 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/crypt/airpdcap_system.h
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-tcp.h
   M /trunk/epan/emem.h

Fix a number of doxygen directives.
------------------------------------------------------------------------
r33933 | gerald | 2010-08-26 10:18:44 -0700 (Thu, 26 Aug 2010) | 2 lines
Changed paths:
   M /trunk/wsutil/file_util.c

Add a newline. Fixup whitespace.

------------------------------------------------------------------------
r33936 | sfisher | 2010-08-26 11:06:56 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb-browse.c

Show a text string of the Windows version (if Windows 2000 or higher.)
------------------------------------------------------------------------
r33938 | etxrab | 2010-08-26 12:40:08 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-udp.h
   M /trunk/epan/proto.h

Fix doxygen errors.
------------------------------------------------------------------------
r33939 | etxrab | 2010-08-26 12:40:57 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/doxygen_global.cfg

Fixed by running doxygen -u
------------------------------------------------------------------------
r33941 | stig | 2010-08-26 13:22:28 -0700 (Thu, 26 Aug 2010) | 4 lines
Changed paths:
   M /trunk/print.c

Check input string in ps_clean_string().

This fixes bug 5148.

------------------------------------------------------------------------
r33942 | etxrab | 2010-08-26 13:31:09 -0700 (Thu, 26 Aug 2010) | 1 line
Changed paths:
   M /trunk/capture.h
   M /trunk/color_filters.h
   M /trunk/config.nmake
   M /trunk/file.h
   M /trunk/tempfile.c

Doxygen fixes.
------------------------------------------------------------------------
r33945 | wmeier | 2010-08-26 16:40:27 -0700 (Thu, 26 Aug 2010) | 3 lines
Changed paths:
   M /trunk/config.nmake

I suspect the changes to config.nmake committed in SVN #33942 were not intended.
Revert the changes (for now ?) so the Buildbot will run again.

------------------------------------------------------------------------
r33946 | etxrab | 2010-08-26 23:02:54 -0700 (Thu, 26 Aug 2010) | 2 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

From Kirill A. Korinskiy:
Enumerated is derived from the Integer32 AVP Base Format.
------------------------------------------------------------------------
r33947 | jake | 2010-08-26 23:07:32 -0700 (Thu, 26 Aug 2010) | 2 lines
Changed paths:
   M /trunk/debian/control

Make wireshark-dev depend on the right automake.

------------------------------------------------------------------------
r33948 | jake | 2010-08-26 23:28:17 -0700 (Thu, 26 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Take in updates from the TLS registery.

------------------------------------------------------------------------
r33949 | stig | 2010-08-27 04:55:14 -0700 (Fri, 27 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Added a check for constructed octet string to avoid a loop.

This fixes bug 5154.

------------------------------------------------------------------------
r33950 | martinm | 2010-08-27 06:54:05 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Allow 3GPP release info to be displayed.

------------------------------------------------------------------------
r33951 | wmeier | 2010-08-27 08:01:28 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/file.c

(Trivial) Fix a typo

------------------------------------------------------------------------
r33952 | stig | 2010-08-27 09:30:38 -0700 (Fri, 27 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-drda.c

From Matthieu Lochegnies via bug 5153:
Show multiples DRDA commands from the same frame.

------------------------------------------------------------------------
r33954 | stig | 2010-08-27 10:18:28 -0700 (Fri, 27 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-esio.c

From Christian Durrer via bug 5155:
Added a new dissector for Ether-S-I/O protocol.

------------------------------------------------------------------------
r33955 | morriss | 2010-08-27 11:36:01 -0700 (Fri, 27 Aug 2010) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.inc

From Dirk via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5150 : remove Makefile.in from the asn1 directories when doing a maintainer-clean
------------------------------------------------------------------------
r33958 | gerald | 2010-08-27 12:24:44 -0700 (Fri, 27 Aug 2010) | 6 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/wsutil/file_util.c
   M /trunk/wsutil/file_util.h
   M /trunk/wsutil/libwsutil.def

Forward-port r33953.
 
Move the SetDllDirectory calls to ws_init_dll_search_path. If
SetDllDirectory fails, pass the Wireshark program path to
SetCurrentDirectory.

------------------------------------------------------------------------
r33959 | gerald | 2010-08-27 12:52:17 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Display Teredo encapsulated IPv4 server and client addresses.

------------------------------------------------------------------------
r33961 | stig | 2010-08-27 13:54:21 -0700 (Fri, 27 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm via bug 5136:
Correct volume flags for FPGetSrvrParms.

------------------------------------------------------------------------
r33962 | stig | 2010-08-27 14:05:02 -0700 (Fri, 27 Aug 2010) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-scop.c

From Owen Kirby via bug 5149:
Added a new dissector for SCoP.

------------------------------------------------------------------------
r33963 | dimeg | 2010-08-27 14:09:05 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c
   M /trunk/epan/dissectors/packet-q708.c

MNC, SANC, ISPC lists updated up to OB 960

------------------------------------------------------------------------
r33964 | guy | 2010-08-27 14:13:26 -0700 (Fri, 27 Aug 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c

Allow Dissect As... to select the Ethernet-without-FCS dissector for a
given UDP port; this is to handle the output for the Cisco CMTS "cable
intercept" command - it encapsulates Ethernet frames in UDP packets, but
the UDP port is user-defined.

------------------------------------------------------------------------
r33965 | stig | 2010-08-27 14:15:39 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Added Owen Kirby as author

------------------------------------------------------------------------
r33969 | guy | 2010-08-27 14:28:24 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

Update some links.

------------------------------------------------------------------------
r33971 | dimeg | 2010-08-27 14:30:12 -0700 (Fri, 27 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

Support for eMLPP Priority IE in BSSMAP

------------------------------------------------------------------------
r33977 | sake | 2010-08-28 02:44:18 -0700 (Sat, 28 Aug 2010) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

We change the owner and group of the first file, so we also want to change owner and group of the rest of the files in the ringbuffer.


------------------------------------------------------------------------
r33978 | sake | 2010-08-28 04:05:51 -0700 (Sat, 28 Aug 2010) | 4 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/dumpcap.c
   M /trunk/ringbuffer.c
   M /trunk/ringbuffer.h

As mentioned on the users-mailinglist[1], it could be useful to have groups read access to the ringbuffer that dumpcap creates. That way, a group of people can access the capture files without having to use root access.

[1]  http://www.wireshark.org/lists/wireshark-users/201008/msg00235.html

------------------------------------------------------------------------
r33981 | etxrab | 2010-08-28 12:27:19 -0700 (Sat, 28 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/circuit.h
   M /trunk/epan/conversation.h
   M /trunk/epan/crypt/crypt-md5.h
   M /trunk/epan/dissector_filters.h
   M /trunk/epan/except.h
   M /trunk/epan/frame_data.h
   M /trunk/epan/ipv6-utils.h
   M /trunk/epan/oids.h
   M /trunk/epan/prefs-int.h
   M /trunk/epan/proto.h
   M /trunk/epan/range.h
   M /trunk/epan/tcap-persistentdata.h
   M /trunk/epan/wslua/init_wslua.h
   M /trunk/epan/wslua/wslua.h

Doxygen changes.
------------------------------------------------------------------------
r33982 | gerald | 2010-08-28 12:46:20 -0700 (Sat, 28 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

De-obfuscate the Teredo client address and add a de-obfuscated port.

------------------------------------------------------------------------
r33983 | wmeier | 2010-08-28 12:50:00 -0700 (Sat, 28 Aug 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-esio.c

#inlude <emem.h> not req'd;
Use tvb_strncmp to compare for "ESIO" string in packet;
Use consistent indentation conforming to the "editor modelines";
Minor other whitespce cleanup.

------------------------------------------------------------------------
r33984 | gerald | 2010-08-28 13:55:32 -0700 (Sat, 28 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Display 6to4 gateway IPv4 addresses and SLA IDs.

------------------------------------------------------------------------
r33990 | etxrab | 2010-08-29 03:47:38 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/camel-persistentdata.h
   M /trunk/epan/column_info.h
   M /trunk/epan/crypt/airpdcap_int.h
   M /trunk/epan/crypt/crypt-md5.h
   M /trunk/epan/dfilter/syntax-tree.h
   M /trunk/epan/emem.h
   M /trunk/epan/epan.h
   M /trunk/epan/frame_data.h
   M /trunk/epan/ip_opts.h
   M /trunk/epan/ipv6-utils.h
   M /trunk/epan/nstime.h
   M /trunk/epan/oids.h
   M /trunk/epan/prefs-int.h
   M /trunk/epan/proto.h
   M /trunk/epan/stats_tree_priv.h
   M /trunk/epan/strutil.h
   M /trunk/epan/tfs.h
   M /trunk/epan/tvbuff.h
   M /trunk/epan/wslua/init_wslua.h
   M /trunk/epan/xdlc.h

Doxygen changes.
------------------------------------------------------------------------
r33991 | etxrab | 2010-08-29 06:18:58 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/color_utils.c
   M /trunk/gtk/gtkvumeter.c
   M /trunk/gtk/gui_utils.c

Doxygen changes.
------------------------------------------------------------------------
r33992 | gerald | 2010-08-29 08:03:30 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-08-29]
------------------------------------------------------------------------
r33993 | etxrab | 2010-08-29 08:14:38 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/color_utils.c
   M /trunk/gtk/main.h
   M /trunk/gtk/main_toolbar.h
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h
   M /trunk/gtk/packet_list_store.h
   M /trunk/gtk/prefs_column.h
   M /trunk/gtk/prefs_dlg.h
   M /trunk/gtk/prefs_gui.h
   M /trunk/gtk/prefs_layout.h

Doxygen changes.
------------------------------------------------------------------------
r33994 | sake | 2010-08-29 08:27:20 -0700 (Sun, 29 Aug 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h

From  Cal Turney (bug 5132):
TCP bytes_in flight becomes inflated with lost packets 

This patch suspends Bytes-in-Flight calculation when missing packets are detected.


------------------------------------------------------------------------
r34001 | etxrab | 2010-08-29 10:34:44 -0700 (Sun, 29 Aug 2010) | 22 lines
Changed paths:
   M /trunk/asn1/gsm_map/MAP-MobileServiceOperations.asn
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix for Bug Packet details have errors when decode MAP V2 PRN_ACK msg 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5076

Use:
/*
 * Dissect Multiple Choice Message
 * This function is used to decode a message, when several encoding may be used.
 * For exemple, in the last MAP version, the Cancel Location is defined like this:
 * CancelLocationArg ::= [3] IMPLICIT SEQUENCE
 * But in the previous MAP version, it was a CHOICE between a SEQUENCE and an IMSI
 * As ASN1 encoders (or software) still uses the old encoding, this function allows
 * the decoding of both versions.
 * Moreover, some optimizations (or bad practice ?) in ASN1 encoder, removes the
 * SEQUENCE tag, when only one parameter is present in the SEQUENCE.
 * This explain why the function expects 3 parameters:
 * - a [3] SEQUENCE corresponding the recent ASN1 MAP encoding
 * - a SEQUENCE for old style
 * - and a single parameter, for old version or optimizations
 *
 * The analyze of the first ASN1 tag, indicate what kind of decoding should be used,
 * if the decoding function is provided (so not a NULL function)
 */
------------------------------------------------------------------------
r34002 | etxrab | 2010-08-29 12:37:15 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/service_response_time_table.c

Switch to GTK UIManager.
------------------------------------------------------------------------
r34006 | wmeier | 2010-08-29 18:14:08 -0700 (Sun, 29 Aug 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scop.c

Various:
1. Re-arrange proto_reg_handoff... code to follow the "standard idiom" for init/set of port prefs;
2. Define all fcns as static (except proto_register and proto_reg_handoff);
3. ethereal --> Wireshark;
4. Remove some uneeded/unused prototypes;
5. Fix a few function description comments.

------------------------------------------------------------------------
r34008 | etxrab | 2010-08-29 22:12:27 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/diameter_stat.c

Make a note about how to "activare" the filter popup.
------------------------------------------------------------------------
r34009 | etxrab | 2010-08-29 22:39:02 -0700 (Sun, 29 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column-utils.h

Doxygen related changes.
------------------------------------------------------------------------
r34010 | stig | 2010-08-30 01:43:03 -0700 (Mon, 30 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/uat_load.l

Always call post_update_cb() in uat_load_str().

------------------------------------------------------------------------
r34011 | stig | 2010-08-30 01:47:26 -0700 (Mon, 30 Aug 2010) | 7 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/gtk/macros_dlg.c
   M /trunk/gtk/macros_dlg.h
   M /trunk/gtk/main.c

Always update the display filter when changing a display filter macro
and when changing profile.  Not sure why I have to invalidate cfile.dfilter
in macro_update(), because this will be done in macros_post_update(),
but unless this we get a crash when renaming a macro...

This is a fix for bug 5002.

------------------------------------------------------------------------
r34012 | stig | 2010-08-30 02:31:52 -0700 (Mon, 30 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c

Call dfilter_macro_uat->post_update_cb instead of using cfile.

------------------------------------------------------------------------
r34013 | etxrab | 2010-08-30 07:22:49 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/range.h

Doxygen fix.
------------------------------------------------------------------------
r34014 | etxrab | 2010-08-30 07:23:25 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/hostlist_table.c

Convert to GTKUIManager
------------------------------------------------------------------------
r34015 | etxrab | 2010-08-30 07:32:38 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/hostlist_table.c

Remove a redundant callback.
------------------------------------------------------------------------
r34016 | morriss | 2010-08-30 08:33:32 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/epan/strutil.c

Use the top-level isprint.h instead of redefining isprint ourselves.
------------------------------------------------------------------------
r34017 | morriss | 2010-08-30 09:10:01 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/afp_stat.c
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/camel_counter.c
   M /trunk/gtk/camel_srt.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_details_dlg_win32.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/compare_stat.c
   M /trunk/gtk/conversations_eth.c
   M /trunk/gtk/conversations_fc.c
   M /trunk/gtk/conversations_fddi.c
   M /trunk/gtk/conversations_ip.c
   M /trunk/gtk/conversations_ipv6.c
   M /trunk/gtk/conversations_ipx.c
   M /trunk/gtk/conversations_jxta.c
   M /trunk/gtk/conversations_ncp.c
   M /trunk/gtk/conversations_rsvp.c
   M /trunk/gtk/conversations_sctp.c
   M /trunk/gtk/conversations_tcpip.c
   M /trunk/gtk/conversations_tr.c
   M /trunk/gtk/conversations_udpip.c
   M /trunk/gtk/conversations_usb.c
   M /trunk/gtk/conversations_wlan.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_ber.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/diameter_stat.c
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/expert_comp_dlg.c
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/file_dlg_win32.c
   M /trunk/gtk/fileset_dlg.c
   M /trunk/gtk/filter_utils.c
   M /trunk/gtk/flow_graph.c
   M /trunk/gtk/follow_ssl.c
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/follow_udp.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gtp_stat.c
   M /trunk/gtk/gui_stat_util.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/hostlist_eth.c
   M /trunk/gtk/hostlist_fc.c
   M /trunk/gtk/hostlist_fddi.c
   M /trunk/gtk/hostlist_ip.c
   M /trunk/gtk/hostlist_ipv6.c
   M /trunk/gtk/hostlist_ipx.c
   M /trunk/gtk/hostlist_jxta.c
   M /trunk/gtk/hostlist_ncp.c
   M /trunk/gtk/hostlist_rsvp.c
   M /trunk/gtk/hostlist_sctp.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/hostlist_tcpip.c
   M /trunk/gtk/hostlist_tr.c
   M /trunk/gtk/hostlist_udpip.c
   M /trunk/gtk/hostlist_usb.c
   M /trunk/gtk/hostlist_wlan.c
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/mac_lte_stat_dlg.c
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/mcast_stream.c
   M /trunk/gtk/megaco_stat.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/ncp_stat.c
   M /trunk/gtk/plugins_dlg.c
   M /trunk/gtk/prefs_capture.c
   M /trunk/gtk/prefs_gui.c
   M /trunk/gtk/prefs_layout.c
   M /trunk/gtk/prefs_nameres.c
   M /trunk/gtk/prefs_print.c
   M /trunk/gtk/prefs_stream.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/radius_stat.c
   M /trunk/gtk/rlc_lte_stat_dlg.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream.c
   M /trunk/gtk/scsi_stat.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb2_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/gtk/wsp_stat.c

Remove some unnecessary includes: a lot of things don't need globals.h and register.h
------------------------------------------------------------------------
r34018 | morriss | 2010-08-30 10:05:37 -0700 (Mon, 30 Aug 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

Fix the crash reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5157 :

If get_unicode_or_ascii_string() returns a NULL pointer, return a pointer to an
empty string back to our caller.

------------------------------------------------------------------------
r34025 | morriss | 2010-08-30 12:14:54 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/service_response_time_table.c

Include stdio.h.  Fixup indent some.
------------------------------------------------------------------------
r34026 | etxrab | 2010-08-30 12:49:57 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/proto_hier_stats_dlg.c

Switch to GTK UIManager.
------------------------------------------------------------------------
r34027 | etxrab | 2010-08-30 13:30:20 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/expert_comp_table.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34028 | wmeier | 2010-08-30 16:58:19 -0700 (Mon, 30 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/proto_hier_stats_dlg.c

Add #include <stdio.h> for fprintf

------------------------------------------------------------------------
r34029 | etxrab | 2010-08-30 22:48:12 -0700 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34030 | stig | 2010-08-31 00:53:51 -0700 (Tue, 31 Aug 2010) | 2 lines
Changed paths:
   M /trunk/gtk/macros_dlg.c
   M /trunk/gtk/macros_dlg.h
   M /trunk/gtk/main.c

Ensure we always update the display filter when changing profile.

------------------------------------------------------------------------
r34031 | stig | 2010-08-31 03:24:08 -0700 (Tue, 31 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Update the header length after dissecting the header.

This fixes bug 5162.

------------------------------------------------------------------------
r34032 | etxrab | 2010-08-31 03:50:54 -0700 (Tue, 31 Aug 2010) | 1 line
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c

Add stub code for future dissection of featureGroupIndicators.
------------------------------------------------------------------------
r34033 | stig | 2010-08-31 08:02:03 -0700 (Tue, 31 Aug 2010) | 4 lines
Changed paths:
   M /trunk/epan/prefs.c

Support space in list of hidden columns.

This fixes bug 5163.

------------------------------------------------------------------------
r34034 | stig | 2010-08-31 11:28:59 -0700 (Tue, 31 Aug 2010) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/version_info.c

A GString has it's own length.

------------------------------------------------------------------------
r34035 | etxrab | 2010-08-31 13:03:46 -0700 (Tue, 31 Aug 2010) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/epan/dissectors/packet-lte-rrc.c

From Pascal Quantin:
Patch that allows the dissection of the Feature Group Indicators bit string. I tested it with our UE and it works fine.
------------------------------------------------------------------------
r34036 | etxrab | 2010-09-01 05:39:29 -0700 (Wed, 01 Sep 2010) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

From Jaap Keuter:
Fix Wireshark don't show mgcp calls in "Telephony" => "VoIP calls"
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5167
------------------------------------------------------------------------
r34037 | guy | 2010-09-01 10:49:27 -0700 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

Expand and update comments.

------------------------------------------------------------------------
r34038 | etxrab | 2010-09-01 12:42:59 -0700 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

1.4 version does not display the t.38 graph.
(init/remove tap_listener missing)
------------------------------------------------------------------------
r34039 | stig | 2010-09-01 13:54:41 -0700 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/print.c

Ensure we always print the heading when dumping PSML and CSV.

------------------------------------------------------------------------
r34040 | etxrab | 2010-09-01 23:22:12 -0700 (Wed, 01 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/service_response_time_table.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34041 | etxrab | 2010-09-01 23:34:04 -0700 (Wed, 01 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/conversations_table.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34042 | etxrab | 2010-09-02 08:38:04 -0700 (Thu, 02 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/proto_hier_stats_dlg.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34043 | etxrab | 2010-09-02 08:39:15 -0700 (Thu, 02 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34044 | sfisher | 2010-09-02 10:11:48 -0700 (Thu, 02 Sep 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c


Fix typo in comment: datat -> data


------------------------------------------------------------------------
r34045 | morriss | 2010-09-02 10:13:36 -0700 (Thu, 02 Sep 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scop.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5173 :

Don't call col_set_str() on a string returned from val_to_str() (which may be
ep_ allocated).

------------------------------------------------------------------------
r34046 | morriss | 2010-09-02 11:02:06 -0700 (Thu, 02 Sep 2010) | 11 lines
Changed paths:
   M /trunk/doc/rawshark.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod.template
   M /trunk/epan/emem.c
   M /trunk/tools/fuzz-test.sh
   M /trunk/tools/test-fuzzed-cap.sh

Introduce 2 new environment variables: WIRESHARK_EP_VERIFY_POINTERS and
WIRESHARK_SE_VERIFY_POINTERS that control whether or not we verify if a given
pointer is ep_ or se_ allocated, respectively.

Turn the behavior off by default for speed reasons (the speed difference isn't
huge, but...).

Turn the behavior on when fuzz testing.

Document these two new variables in the man pages.

------------------------------------------------------------------------
r34047 | etxrab | 2010-09-02 12:23:01 -0700 (Thu, 02 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/graph_analysis.c

Add comments
------------------------------------------------------------------------
r34048 | stig | 2010-09-02 14:30:54 -0700 (Thu, 02 Sep 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

Apply the quick fix from bug 2952.

And it's true, this dissector really needs an overhaul!

------------------------------------------------------------------------
r34049 | etxrab | 2010-09-02 22:50:55 -0700 (Thu, 02 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-evrc.c

From Michael Lum:
The EVRC dissector does not handle service option 73 (EVRC-NW).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5177
------------------------------------------------------------------------
r34050 | etxrab | 2010-09-02 23:18:29 -0700 (Thu, 02 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

From Michael Lum:
ANSI-A dissector does not recognize service option 73
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5176
------------------------------------------------------------------------
r34051 | etxrab | 2010-09-03 00:25:51 -0700 (Fri, 03 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Add a comment
------------------------------------------------------------------------
r34052 | etxrab | 2010-09-03 00:27:59 -0700 (Fri, 03 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/rtp_stream.h

Add doxygen coments.
------------------------------------------------------------------------
r34053 | etxrab | 2010-09-03 00:28:51 -0700 (Fri, 03 Sep 2010) | 1 line
Changed paths:
   M /trunk/epan/tap.h

Add doxygen coments.
------------------------------------------------------------------------
r34054 | etxrab | 2010-09-03 01:41:04 -0700 (Fri, 03 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/hostlist_table.c

Remove the depricated GtkItemFactory code.
------------------------------------------------------------------------
r34055 | stig | 2010-09-03 01:44:00 -0700 (Fri, 03 Sep 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Check if using tree before adding the octet string.

------------------------------------------------------------------------
r34056 | stig | 2010-09-03 02:10:32 -0700 (Fri, 03 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Code cleanup: Remove Begin/End comments on each and every code block,
this only makes the code hard to read.

------------------------------------------------------------------------
r34057 | stig | 2010-09-03 02:12:40 -0700 (Fri, 03 Sep 2010) | 3 lines
Changed paths:
   M /trunk/gtk/graph_analysis.h

Increase maximum number of nodes to 40.
10 is in some situations too few.

------------------------------------------------------------------------
r34058 | kukosa | 2010-09-03 03:31:56 -0700 (Fri, 03 Sep 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Fix start offset and length handling in SEQUNCE OF (caused Gtk crash for sequences at the end of frame)
------------------------------------------------------------------------
r34059 | martinm | 2010-09-03 08:22:28 -0700 (Fri, 03 Sep 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.h
   M /trunk/gtk/rlc_lte_stat_dlg.c

Add bandwidth figures to RLC stats (per-UE and per-channel).

------------------------------------------------------------------------
r34060 | martinm | 2010-09-03 09:05:01 -0700 (Fri, 03 Sep 2010) | 2 lines
Changed paths:
   M /trunk/gtk/rlc_lte_stat_dlg.c

Try to cast away windows buildbot problems.

------------------------------------------------------------------------
r34061 | martinm | 2010-09-03 09:45:05 -0700 (Fri, 03 Sep 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-mac-lte.h
   M /trunk/gtk/mac_lte_stat_dlg.c

Add bandwidth figures per UE.

------------------------------------------------------------------------
r34062 | etxrab | 2010-09-03 10:10:52 -0700 (Fri, 03 Sep 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

GTPv2: IMSI is decoded improperly.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5179
------------------------------------------------------------------------
r34063 | stig | 2010-09-05 05:16:14 -0700 (Sun, 05 Sep 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Request-Line can contain an empty Request-URI.

I don't want to change get_token_len() to not skip multiple spaces,
because I don't know if other protocols depends on this behaviour.
We should maybe check this...

This fixes bug 5181.

------------------------------------------------------------------------
r34064 | gerald | 2010-09-05 08:03:42 -0700 (Sun, 05 Sep 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-09-05]
------------------------------------------------------------------------
r34068 | martinm | 2010-09-06 02:22:43 -0700 (Mon, 06 Sep 2010) | 2 lines
Changed paths:
   M /trunk/gtk/mac_lte_stat_dlg.c
   M /trunk/gtk/rlc_lte_stat_dlg.c

Change bandwidth labels, and update stop time even on first frame.

------------------------------------------------------------------------
r34069 | stig | 2010-09-06 10:31:17 -0700 (Mon, 06 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From Pascal Quantin via bug 5186:
Fix the decoding of the maximum/guaranteed bit rates for uplink/downlink.

------------------------------------------------------------------------
r34070 | stig | 2010-09-06 12:59:15 -0700 (Mon, 06 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

From yami via bug 3310:
SMB2 create context response fix.

------------------------------------------------------------------------
r34071 | etxrab | 2010-09-07 01:10:45 -0700 (Tue, 07 Sep 2010) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Start adding GTKUIManager code.(#IF 0'ed out.).
------------------------------------------------------------------------
r34072 | stig | 2010-09-07 07:06:43 -0700 (Tue, 07 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/reassemble.c

From Yaniv Kaul via bug 4550:
Show number of segments which were used in the desgementation.

------------------------------------------------------------------------
r34073 | sfisher | 2010-09-07 12:22:05 -0700 (Tue, 07 Sep 2010) | 5 lines
Changed paths:
   M /trunk/gtk/main.c


These two capture option variables are defined by capture_opts_init(), so
don't redefine them to new values.


------------------------------------------------------------------------
r34074 | stig | 2010-09-07 13:40:39 -0700 (Tue, 07 Sep 2010) | 4 lines
Changed paths:
   M /trunk/epan/reassemble.c

Put the number of fragments/segments in front of the element to avoid 
conflict when they are named fragments instead of segments and to avoid
duplicating the fragments/segments text.

------------------------------------------------------------------------
r34075 | stig | 2010-09-07 23:45:04 -0700 (Tue, 07 Sep 2010) | 2 lines
Changed paths:
   M /trunk/epan/reassemble_test.c

Fake proto_item_prepend_text() in reassemble_test.

------------------------------------------------------------------------
r34076 | kukosa | 2010-09-08 02:02:16 -0700 (Wed, 08 Sep 2010) | 1 line
Changed paths:
   M /trunk/asn1/ros/ros-res.cnf
   M /trunk/epan/asn1.h
   M /trunk/epan/dissectors/packet-h450-ros.c
   M /trunk/epan/dissectors/packet-q932-ros.c

Do not report undecoded message to expert info for ReturnResult without result filed
------------------------------------------------------------------------
r34077 | stig | 2010-09-08 02:24:53 -0700 (Wed, 08 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

From Yaniv Kaul via bug 5193:
Dissect NTLMSSP type 0x5 (DNS Forest name).

------------------------------------------------------------------------
r34078 | stig | 2010-09-08 02:33:53 -0700 (Wed, 08 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

Allow for proto_tree_add_item() with FT_ABSOLUTE_TIME and FT_RELATIVE_TIME
to have length == 4 (only seconds).

------------------------------------------------------------------------
r34079 | stig | 2010-09-08 03:29:06 -0700 (Wed, 08 Sep 2010) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c

Support negative values when viewing seconds with hours and minutes.

------------------------------------------------------------------------
r34080 | stig | 2010-09-08 06:38:47 -0700 (Wed, 08 Sep 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Revert revision 33780, because the checksum is only calculated
from the header and not the content.

------------------------------------------------------------------------
r34081 | morriss | 2010-09-08 09:51:12 -0700 (Wed, 08 Sep 2010) | 5 lines
Changed paths:
   M /trunk/Makefile.nmake

Attempt to fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5160 :

Move libwsutil forward in the list of Wireshark libraries so that our inet_pton
is always used.

------------------------------------------------------------------------
r34082 | sfisher | 2010-09-08 11:47:14 -0700 (Wed, 08 Sep 2010) | 6 lines
Changed paths:
   M /trunk/capture_opts.c


Follow up to rev 34073: Since "-b files:0" is no longer necessary to
override the default of turning on a multiple file ring buffer, require
a positive integer to be specified for the files value.


------------------------------------------------------------------------
r34083 | sfisher | 2010-09-08 12:01:41 -0700 (Wed, 08 Sep 2010) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afp.h


From Frank Lahm via bug #5169: Provide initial support for the undocumented
AFP FPSpotlightRPC call. 


------------------------------------------------------------------------
r34084 | sfisher | 2010-09-08 13:43:19 -0700 (Wed, 08 Sep 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h


Expand the TCP flags to include the low nibble of the byte that has
